﻿<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
var po_first=true;
var ishostnamechanged=false;

function checkHostName(str)
{
	if (0 == str.length)
		return true;
	if (ValidateIP(str))
		return true;
	var filter = /\.\.|^\.|\.$|^\d+\.\d+\.\d+\.\d+$/;
	if (!filter.test(str))
	{
		return true;
	}
	return false;
}

function doSubmit()
{
    if(!checkfields()) return;
    composesetstr();
    document.saveform.op.value="save";
    document.saveform.daemonaction.value = httpreloadplus;
    setTimeout( "document.saveform.submit()", 100 );
}

function doSettingTest()
{
    if(!checkfields()) return;
    if(document.saveform.Hostname.value=="")
    {
            alert(i18n_invalid_ldap_test);
            EnableSaveButton();
            return;
    }
    composesetstr();
    document.saveform.op.value="test";
    setTimeout( "document.saveform.submit()", 100 );
}

function checkfields()
{
    document.saveform.Hostname.value = Trim(document.saveform.Hostname.value);
    document.saveform.Port.value = Trim(document.saveform.Port.value);
    document.saveform.User.value = Trim(document.saveform.User.value);
    document.saveform.Passwd.value = Trim(document.saveform.Passwd.value);
    document.saveform.BDN.value = Trim(document.saveform.BDN.value);

    if(document.saveform.Hostname.value=="" && document.saveform.Port.value==""
        && document.saveform.User.value =="" && document.saveform.BDN.value == "")
    {
        document.saveform.realm.value = "";
        document.saveform.domain.value = "";
        document.saveform.kdc_server.value = "";
        document.saveform.kdc_port.value = "";
        document.saveform.Passwd.value="";
        return true;
    }

    if(document.saveform.Hostname.value=="")
    {
            alert(i18n_valid_hostname);
            document.saveform.Hostname.focus();
            return false;
    }
    if(!ValidatePort(document.saveform.Port.value)){ 
            alert(i18n_valid_port);
            document.saveform.Port.focus();
            return false;
    }
    if(document.saveform.User.value=="")
    {
            alert(i18n_ldap_msg2);
            document.saveform.User.focus();
            return false;
    }
    if(document.saveform.Passwd.value=="")
    {
            alert(i18n_ldap_msg3);
            document.saveform.Passwd.focus();
            return false;
    }
    if(document.saveform.BDN.value=="")
    {
            alert(i18n_ldap_msg4);
            document.saveform.BDN.focus();
            return false;
    }

     if(document.saveform.Auth.value=="simple") return true;
    
    document.saveform.realm.value = Trim(document.saveform.realm.value);
    document.saveform.domain.value = Trim(document.saveform.domain.value);
    document.saveform.kdc_server.value = Trim(document.saveform.kdc_server.value);
    document.saveform.kdc_port.value = Trim(document.saveform.kdc_port.value);

    if(document.saveform.realm.value=="")
    {
            alert(i18n_ldap_msg5);
            document.saveform.realm.focus();
            return false;
    }
    if(document.saveform.domain.value=="")
    {
            alert(i18n_ldap_msg6);
            document.saveform.domain.focus();
            return false;
    }
    if (document.saveform.domain.value!=document.saveform.realm.value)
    {
            alert(i18n_ldap_msg8);
            document.saveform.domain.focus();
            return false;
    }
    if(document.saveform.kdc_server.value=="")
    {
            alert(i18n_ldap_msg7);
            document.saveform.kdc_server.focus();
            return false;
    }
    if(!ValidatePort(document.saveform.kdc_port.value)){ 
            alert(i18n_valid_port);
            document.saveform.kdc_port.focus();
            return false;
    }
    return true;
}

function composesetstr()
{
    if(typeof(document.saveform.LDAP_Setting__LDAP0)=='object'){
        document.saveform.LDAP_Setting__LDAP0.value= document.saveform.Hostname.value+":"+document.saveform.Port.value+":"+document.saveform.BDN.value;
        if(document.saveform.LDAP_Setting__LDAP0.value=="::")
        {
            document.saveform.LDAP_Setting__LDAP0.value="";
        }
    }else if(typeof(document.saveform.LDAP_Setting__LDAP1)=='object'){
        document.saveform.LDAP_Setting__LDAP1.value=document.saveform.Hostname.value+":"+document.saveform.Port.value+":"+document.saveform.BDN.value;
        if(document.saveform.LDAP_Setting__LDAP1.value=="::")
        {
            document.saveform.LDAP_Setting__LDAP1.value="";
        }
    }
    
    if(typeof(document.saveform.LDAP_Setting__User0)=='object')
        document.saveform.LDAP_Setting__User0.value= document.saveform.User.value;
    else if(typeof(document.saveform.LDAP_Setting__LDAP1)=='object')
        document.saveform.LDAP_Setting__User1.value= document.saveform.User.value;
    
    if(typeof(document.saveform.LDAP_Setting__Passwd0)=='object')
        document.saveform.LDAP_Setting__Passwd0.value= document.saveform.Passwd.value;
    else if(typeof(document.saveform.LDAP_Setting__Passwd1)=='object')
        document.saveform.LDAP_Setting__Passwd1.value= document.saveform.Passwd.value;

    if(typeof(document.saveform.LDAP_Setting__KRB0)=='object'){
        document.saveform.LDAP_Setting__KRB0.value=document.saveform.kdc_server.value+":"+document.saveform.kdc_port.value+":"+document.saveform.realm.value+":"+document.saveform.domain.value;
        if (document.saveform.LDAP_Setting__KRB0.value==":::")
        {
            document.saveform.LDAP_Setting__KRB0.value="";
        }
    }else if(typeof(document.saveform.LDAP_Setting__KRB1)=='object'){
        document.saveform.LDAP_Setting__KRB1.value=document.saveform.kdc_server.value+":"+document.saveform.kdc_port.value+":"+document.saveform.realm.value+":"+document.saveform.domain.value;
        if (document.saveform.LDAP_Setting__KRB1.value==":::")
        {
            document.saveform.LDAP_Setting__KRB1.value="";
        }
    }
}

function ParseHostname(which)
{
    hostname = document.saveform.Hostname.value;
    hostnamefields = hostname.split('.');
    if(which >= hostnamefields.length || hostnamefields.length<=0)
    {
        return '';
    }else return hostnamefields[which];
}

function popularize()
{
  document.saveform.Hostname.value = Trim(document.saveform.Hostname.value);
  if(!checkHostName(document.saveform.Hostname.value)) {
    alert(i18n_valid_hostname);
    document.saveform.Hostname.focus();
    return false;
  }

  isIPaddress=false;
  if(ValidateIP(document.saveform.Hostname.value))
  {
    isIPaddress=true;
  }
    
  if(po_first && ishostnamechanged ){ 
    hostname = document.saveform.Hostname.value;
    hostnamefields = hostname.split('.');
    tmpstr = '';
    for(i = 1; i<hostnamefields.length; i++){
    	tmpstr += "DC=" + hostnamefields[i];
        if(i< hostnamefields.length-1) tmpstr = tmpstr + ","; 
    }
    
    if(isIPaddress)
      document.saveform.BDN.value = "";
    else
      document.saveform.BDN.value = tmpstr;
    
    if(document.saveform.realm.disabled){
        document.saveform.realm.disabled = false;
        document.saveform.domain.disabled = false;
        document.saveform.kdc_server.disabled = false;
        if(isIPaddress) {
          document.saveform.realm.value = "";
          document.saveform.domain.value = "";
        }
        else {
          document.saveform.realm.value = hostname.substring(hostname.indexOf(".")+1);
          document.saveform.domain.value = document.saveform.realm.value;
        }
        document.saveform.kdc_server.value = document.saveform.Hostname.value;
        document.saveform.realm.disabled = true;
        document.saveform.domain.disabled = true;
        document.saveform.kdc_server.disabled = true;
    }else{
        if(isIPaddress) {
          document.saveform.realm.value = "";
          document.saveform.domain.value = "";
        }
        else {
          document.saveform.realm.value = hostname.substring(hostname.indexOf(".")+1);
          document.saveform.domain.value = document.saveform.realm.value;
        }
        document.saveform.kdc_server.value = document.saveform.Hostname.value;
    }
    EnableSaveButton();
  }
    po_first=false;
}

function SetKRB(status)
{
    document.saveform.realm.disabled = status;
    document.saveform.domain.disabled = status;
    document.saveform.kdc_server.disabled = status;
    document.saveform.kdc_port.disabled = status;
}

function ChangeHostName()
{
    ishostnamechanged = true;
    EnableSaveButton();
}

function init(type,msgtype)
{
    self.focus();
    if(msgtype==1)
    {
        alert(i18n_ldap_msg1);
        EnableSaveButton();
    }else if(msgtype==0){
        if (document.saveform.testresult.value!="") {
            alert(document.saveform.testresult.value);
        } else {
            alert(i18n_ldap_msg9);
        }
        EnableSaveButton();
    }
    if(type=='simple')
    {
        SetKRB(true);
    }
}
</script>
<%
    int msgtype = -1;
    String msgcontent=new String("");
    String Hostname="", Port="", User="", Passwd="", EncryptedPasswd="", BDN="", Auth="",LDAPstr="";
    String realm="",domain="",kdc_server="",kdc_port="", KRBSstr="";
    String whichone="", settingid="";
    String[] LDAP,KRBS;
    int maxPasswordLength = 64;
    boolean passwordChanged = true;

    if(request.getQueryString()!=null){
        Auth = IWSSUtil.GetQueryStringKey(request.getQueryString(), "Auth");
        whichone = IWSSUtil.GetQueryStringKey(request.getQueryString(), "type");
    }

    if(whichone==null || whichone.compareToIgnoreCase("")==0) whichone="primary";
    if(Auth==null || Auth.compareToIgnoreCase("")==0) Auth="simple";
    if(whichone.compareToIgnoreCase("secondary")==0) settingid="1";
    else settingid="0";

   if(request.getParameter("op")!=null && (request.getParameter("op").compareToIgnoreCase("test")==0 ||
      request.getParameter("op").compareToIgnoreCase("save")==0  ) )
   {
        if(whichone.compareToIgnoreCase("secondary")==0){
            User = request.getParameter("LDAP_Setting__User1");
            Passwd = request.getParameter("LDAP_Setting__Passwd1");
            LDAPstr = request.getParameter("LDAP_Setting__LDAP1");
            KRBSstr = request.getParameter("LDAP_Setting__KRB1");
            EncryptedPasswd = IWSSInfo.GetKeyValue("LDAP-Setting","Passwd1");

        }else{
            User = request.getParameter("LDAP_Setting__User0");
            Passwd = request.getParameter("LDAP_Setting__Passwd0");
            LDAPstr = request.getParameter("LDAP_Setting__LDAP0");
            KRBSstr = request.getParameter("LDAP_Setting__KRB0");
            EncryptedPasswd = IWSSInfo.GetKeyValue("LDAP-Setting","Passwd0");

        }
        if (EncryptedPasswd.length() > maxPasswordLength ? 
            Passwd.equals(EncryptedPasswd.substring(0, maxPasswordLength)) :
            Passwd.equals(EncryptedPasswd)) {
            Passwd = new String(IWSSJNI.DecryptPasswd(EncryptedPasswd));           
            passwordChanged = false;
        }

        if(request.getParameter("op")!=null && (request.getParameter("op").compareToIgnoreCase("test")==0)){
            int useauth=0;
            if(Auth.compareToIgnoreCase("advanced")==0) useauth = 0;
            else useauth = 1;
            if(useauth==0){
                realm = request.getParameter("realm");
                domain = request.getParameter("domain");
                kdc_server = request.getParameter("kdc_server");
                kdc_port = request.getParameter("kdc_port");
            }else{
                realm ="realm";
                domain = "domain";
                kdc_server = "kdc_server";
                kdc_port = "88";
            }
            Hostname = request.getParameter("Hostname");
            Port = request.getParameter("Port");
            BDN = request.getParameter("BDN");
            //IWSSUtil.UI_out_println("-------------------------------------------------");
            //IWSSUtil.UI_out_println(Hostname + "  " + Port + "  "+User + "  "+Passwd+ "  "+BDN + "  "+useauth + "  "+ realm+ "  "+domain+"  " + kdc_server + "  "+kdc_port);
            String retmsg = IWSSJNI.TestLDAP2(Hostname, (new Integer(Port)).intValue(), User, Passwd, BDN, useauth,realm,domain,kdc_server,(new Integer(kdc_port)).intValue(), (new Integer(0)).intValue()); 
            //IWSSUtil.UI_out_println("____________________"+retmsg);
            IWSSXML retmsgxml = new IWSSXML(retmsg);
            msgtype = (new Integer(retmsgxml.GetKeyValue("IWSSUI","rc"))).intValue();
            if(msgtype==0) msgcontent = retmsgxml.GetKeyValue("IWSSUI","err");
        }else{
            IWSSINI pini=null;
            pini = new IWSSINI(request);
            
            if(request.getParameter("op").compareToIgnoreCase("save")==0){
                //for saving password
                if(whichone.compareToIgnoreCase("secondary")==0 &&
                    pini.GetKeyValue("LDAP-Setting","Passwd1")!=null)
                {
                    String oldpassword1 = pini.GetKeyValue("LDAP-Setting","Passwd1");
                    {
                    	Passwd = IWSSJNI.EncryptPasswd(oldpassword1);
	                    pini.SetKeyValue("LDAP-Setting","Passwd1", Passwd);
                    } 
                }else if(pini.GetKeyValue("LDAP-Setting","Passwd0")!=null)
                {
                    String oldpassword0 = pini.GetKeyValue("LDAP-Setting","Passwd0");
                    if (passwordChanged) 
                    {
                    	Passwd = IWSSJNI.EncryptPasswd(oldpassword0);
                    	pini.SetKeyValue("LDAP-Setting","Passwd0", Passwd);
                    }
                }

                pini.WriteConfig(IWSSInfo.GetWorkPath()+"intscan.ini");

                IWSSUtil.WriteCMConfigChangeEvent();
                //take deamon action
                int daemon_action = 0;
                if(request.getParameter("daemonaction")!=null)
                {
                    daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                    if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
                }
         }
        }
   }else{
        if(whichone.compareToIgnoreCase("secondary")==0){
            User = IWSSInfo.GetKeyValue("LDAP-Setting","User1");
            if(IWSSInfo.GetKeyValue("LDAP-Setting","Passwd1")!=null && IWSSInfo.GetKeyValue("LDAP-Setting","Passwd1").compareToIgnoreCase("")!=0) {
                Passwd = IWSSInfo.GetKeyValue("LDAP-Setting","Passwd1");
                EncryptedPasswd = Passwd;
            }
            LDAPstr = IWSSInfo.GetKeyValue("LDAP-Setting","LDAP1");
            KRBSstr = IWSSInfo.GetKeyValue("LDAP-Setting","KRB1");
        }else{
            User = IWSSInfo.GetKeyValue("LDAP-Setting","User0");
            if(IWSSInfo.GetKeyValue("LDAP-Setting","Passwd0")!=null && IWSSInfo.GetKeyValue("LDAP-Setting","Passwd0").compareToIgnoreCase("")!=0) {
                Passwd = IWSSInfo.GetKeyValue("LDAP-Setting","Passwd0");
                EncryptedPasswd = Passwd;
            }
            LDAPstr = IWSSInfo.GetKeyValue("LDAP-Setting","LDAP0");
            KRBSstr = IWSSInfo.GetKeyValue("LDAP-Setting","KRB0");
        }
    }

    LDAP = LDAPstr.split(":");
    KRBS = KRBSstr.split(":");
    if(LDAP.length==3){
        Hostname = LDAP[0];
        Port = LDAP[1];
        BDN = LDAP[2];
    }

    if(KRBS.length==4){
        realm = KRBS[2];
        domain = KRBS[3];
        kdc_server = KRBS[0];
        kdc_port = KRBS[1];
    }
%>
<body onload="init('<%=Auth%>','<%=msgtype%>');" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<FORM ACTION="http_config_ldap_krbs.jsp?type=<%=whichone%>&Auth=<%=Auth%>" METHOD=POST NAME=saveform>
<input type=hidden name="op" value="">
<input type=hidden name="Auth" value="<%=Auth%>">
<input type=hidden name="testresult" value="<%=msgcontent%>">
<input type=hidden name="daemonaction" value=0>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="463" class="content-title">
<%if(whichone.compareToIgnoreCase("primary")==0){%>
Primary Referral Servers
<%}else{%>
Secondary Referral Servers
<%}%></td>
    <td width="77" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('http_config_ldap_krbs.htm');"> <img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
</td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE width="540" border=0 cellPadding=0 cellSpacing=0 class="border2">
  <TBODY>
    <TR> 
      <td width="161"> </td>
    </tr>
    <TR > 
      <TD class="tableheader" colspan="2" >LDAP Server</td>
    </tr>
    <TR> 
      <TD class="data1" >LDAP server hostname:</td>
      <td width="377" class="data1">
        <input name="LDAP_Setting__LDAP<%=settingid%>" type="hidden" value="<%=LDAPstr%>">
        <input name="Hostname" type="text" class="button" size="58" maxlength="256" value="<%=IWSSUtil.MyReplace(Hostname,"\"","&quot;")%>" onkeydown="ChangeHostName();"> 
      </td>
    </tr>
    <TR> 
      <TD class="data1" >&nbsp;</td>
      <td class="data1">example: server1.us.example.org</td>
    </tr>
    <TR> 
      <TD class="data1" >Listing port number:</td>
      <td class="data1"><input name="Port" type="text" class="button" value="<%=Port%>" size="10" maxlength="5" onkeydown="EnableSaveButton();"></td>
    </tr>
    <TR> 
      <TD class="data1" >Admin account:</td>
      <td class="data1">
        <input name="LDAP_Setting__User<%=settingid%>" type="hidden" value="<%=User%>">
    <input name="User" type="text" class="button" value="<%=IWSSUtil.MyReplace(User,"\"","&quot;")%>" size="58" maxlength="256" onkeydown="EnableSaveButton();"></td>
    </tr>
    <TR> 
      <TD class="data1" >Password:</td>
      <td class="data1">
        <input name="LDAP_Setting__Passwd<%=settingid%>" type="hidden" value="<%=EncryptedPasswd%>">
    <input name="Passwd" type="password" class="button" value="<%=Passwd%>" size="58" maxlength="<%=maxPasswordLength%>" onkeydown="EnableSaveButton();"></td>
    </tr>
    <TR> 
      <TD class="data1" >Base distinguished name: </td>
      <td class="data1"><input name="BDN" type="text" class="button" size="58" value="<%=IWSSUtil.MyReplace(BDN,"\"","&quot;")%>" onkeydown="EnableSaveButton();" onfocus="javascript:popularize();">
      </td>
    </tr>
    <TR> 
      <TD class="data1" >&nbsp;</td>
      <td class="data1">example: DC=us, DC=example, DC=org</td>
    </tr>
    <TR>
      <TD colspan="2" ><img src="images/1space_cui.gif" width="1" height="10"></td>
    </tr>
    <TR> 
      <TD colspan="2" class="tableheadergrey2" >Kerberos Server</td>
    </tr>
    <TR> 
      <TD width="161" class="data1" >Default Realm:</td>
      <td class="data1">
        <input name="LDAP_Setting__KRB<%=settingid%>" type="hidden" value="<%=KRBSstr%>">
        <input name="realm" type="text" class="button" value="<%=IWSSUtil.MyReplace(realm,"\"","&quot;")%>" size="58" maxlength="128" onkeydown="EnableSaveButton();" onfocus="javascript:popularize();">
      </td>
    </tr>
    <TR> 
      <TD class="data1" >Default Domain:</td>
      <td class="data1"><input name="domain" type="text" class="button" value="<%=IWSSUtil.MyReplace(domain,"\"","&quot;")%>" size="58" maxlength="128" onkeydown="EnableSaveButton();" onfocus="javascript:popularize();">
      </td>
    </tr>
    <TR> 
      <TD class="data1" >KDC:</td>
      <td class="data1"><input name="kdc_server" type="text" class="button" value="<%=IWSSUtil.MyReplace(kdc_server,"\"","&quot;")%>" size="58" maxlength="128" onkeydown="EnableSaveButton();" onfocus="javascript:popularize();">
      </td>
    </tr>
    <TR> 
      <TD class="data1" >KDC Port:</td>
      <td class="data1"><input name="kdc_port" type="text" class="button" value="<%=kdc_port%>" size="5" maxlength="5" onkeydown="EnableSaveButton();">
      </td>
    </tr>
</table>

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
<%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", "Save", "width:55px", "disabled")%>
<%=AccessLevel.BUTTON(request, response, "cancel", "button", "javascript:self.location.replace('http_config_ldap_krbs.jsp?type="+whichone+"&Auth="+Auth+"')", "Cancel", "width:50px")%>
<%=AccessLevel.BUTTON(request, response, "test", "button", "javascript:doSettingTest();", "Test LDAP Connection", "width:150px")%>

<input name="close" type="button"  onclick="javascript:self.close();"   class="button" value="Close" style="width:50px"> 
    </td>
  </tr>
</table>
</body>
</html>
