﻿<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 07/07/2007                                        -->
<!--Description: update for admin,auditor,report only user  -->
<!--File:http_config_user.jsp                               -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
descarray = new Array(4);
descarray[0] = tipModifiedHTTPheader;
descarray[1] = tipLDAPvendor;
descarray[2] = tipSimple;
descarray[3] = tipAdvancedKerberos;

var po_first=true;
var ishostnamechanged=false;

function checkHostName(str)
{
	if (0 == str.length)
		return true;
	if (ValidateIP(str))
		return true;
	var filter = /\.\.|^\.|\.$|^\d+\.\d+\.\d+\.\d+$/;
	if (!filter.test(str))
	{
		return true;
	}
	return false;
}

function checkfields()
{
    if(!document.saveform.user_identification__user_identification_solution[3].checked) return true;

    document.saveform.LDAP_Setting__Hostname.value = Trim(document.saveform.LDAP_Setting__Hostname.value);
    document.saveform.LDAP_Setting__Port.value = Trim(document.saveform.LDAP_Setting__Port.value);
    document.saveform.LDAP_Setting__User.value = Trim(document.saveform.LDAP_Setting__User.value);
    document.saveform.LDAP_Setting__Passwd.value = Trim(document.saveform.LDAP_Setting__Passwd.value);
    document.saveform.LDAP_Setting__BDN.value = Trim(document.saveform.LDAP_Setting__BDN.value);

    if(document.saveform.LDAP_Setting__Hostname.value=="")
    {
            alert(i18n_valid_hostname);
            document.saveform.LDAP_Setting__Hostname.focus();
            return false;
    }
    if(!ValidatePort(document.saveform.LDAP_Setting__Port.value)){ 
            alert(i18n_valid_port);
            document.saveform.LDAP_Setting__Port.focus();
            return false;
    }
    if(document.saveform.LDAP_Setting__User.value=="")
    {
            alert(i18n_ldap_msg2);
            document.saveform.LDAP_Setting__User.focus();
            return false;
    }
    if(document.saveform.LDAP_Setting__Passwd.value=="")
    {
            alert(i18n_ldap_msg3);
            document.saveform.LDAP_Setting__Passwd.focus();
            return false;
    }
    if(document.saveform.LDAP_Setting__BDN.value=="")
    {
            alert(i18n_ldap_msg4);
            document.saveform.LDAP_Setting__BDN.focus();
            return false;
    }

    if(document.saveform.ChasingReferrals_view.checked) document.saveform.LDAP_Setting__ChasingReferrals.value="yes";
    else document.saveform.LDAP_Setting__ChasingReferrals.value="no";

     if(document.saveform.LDAP_Setting__Authentication[0].checked) return true;
    
    document.saveform.realm.value = Trim(document.saveform.realm.value);
    document.saveform.domain.value = Trim(document.saveform.domain.value);
    document.saveform.kdc_server.value = Trim(document.saveform.kdc_server.value);
    document.saveform.kdc_port.value = Trim(document.saveform.kdc_port.value);

    if(document.saveform.realm.value=="")
    {
            alert(i18n_ldap_msg5);
            document.saveform.realm.focus();
            return false;
    }
    if(document.saveform.domain.value=="")
    {
            alert(i18n_ldap_msg6);
            document.saveform.domain.focus();
            return false;
    }
    if (document.saveform.domain.value!=document.saveform.realm.value)
    {
            alert(i18n_ldap_msg8);
            document.saveform.domain.focus();
            return false;
    }
    if(document.saveform.kdc_server.value=="")
    {
            alert(i18n_ldap_msg7);
            document.saveform.kdc_server.focus();
            return false;
    }
    if(!ValidatePort(document.saveform.kdc_port.value)){ 
            alert(i18n_valid_port);
            document.saveform.kdc_port.focus();
            return false;
    }

    return true;
}

function SetLDAP(status)
{
    document.saveform.LDAP_Setting__Hostname.disabled = status;
    document.saveform.LDAP_Setting__Port.disabled = status;
    document.saveform.LDAP_Setting__User.disabled = status;
    document.saveform.LDAP_Setting__Passwd.disabled = status;
    document.saveform.LDAP_Setting__BDN.disabled = status;
    document.saveform.LDAP_Setting__Authentication[0].disabled = status;
    document.saveform.LDAP_Setting__Authentication[1].disabled = status;
    document.saveform.ChasingReferrals_view.disabled=status;
    document.saveform.test.disabled = status;
    ClickKRB(status);
}

function ClickKRB(status)
{
   if(document.saveform.LDAP_Setting__Authentication[1].disabled){
        SetKRB(status);      
        return;
    }  

    if(document.saveform.LDAP_Setting__Authentication[0].checked)
    {
        SetKRB(true);
    }else if(document.saveform.LDAP_Setting__Authentication[1].checked)
    {
        SetKRB(false);
    }
}
    
function SetKRB(status)
{
    document.saveform.realm.disabled = status;
    document.saveform.domain.disabled = status;
    document.saveform.kdc_server.disabled = status;
    document.saveform.kdc_port.disabled = status;
}

function ParseHostname(which)
{
    hostname = document.saveform.LDAP_Setting__Hostname.value;
    hostnamefields = hostname.split('.');
    if(which >= hostnamefields.length || hostnamefields.length<=0)
    {
        return '';
    }else return hostnamefields[which];
}

function popularize()
{
  document.saveform.LDAP_Setting__Hostname.value = Trim(document.saveform.LDAP_Setting__Hostname.value);
  if(!checkHostName(document.saveform.LDAP_Setting__Hostname.value)) {
    alert(i18n_valid_hostname);
    document.saveform.LDAP_Setting__Hostname.focus();
    return false;
  }
  
  isIPaddress=false;
  if(ValidateIP(document.saveform.LDAP_Setting__Hostname.value))
  {
    isIPaddress=true;
  }

  hostname = document.saveform.LDAP_Setting__Hostname.value;
  hostnamefields = hostname.split('.');

  if(po_first && ishostnamechanged ){  
    
    tempstring = "";
    
    for(i = 1; i < hostnamefields.length; i ++){
    	tempstring += ("DC=" + ParseHostname(i));
    	tempstring += (i == (hostnamefields.length - 1)? "" : ","); 
    }
    
    if(isIPaddress)
      document.saveform.LDAP_Setting__BDN.value = "";
    else
      document.saveform.LDAP_Setting__BDN.value = tempstring;
    
    
    if(document.saveform.realm.disabled){
        document.saveform.realm.disabled = false;
        document.saveform.domain.disabled = false;
        document.saveform.kdc_server.disabled = false;
        
        tempstring = "";
        for(i = 1; i < hostnamefields.length; i ++){
    			tempstring += ParseHostname(i);
    			tempstring += (i == (hostnamefields.length - 1)? "" : "."); 
    		}
        if(isIPaddress) {
          document.saveform.realm.value = "";
          document.saveform.domain.value = "";
        }
        else {
          document.saveform.realm.value = tempstring.toUpperCase();
          document.saveform.domain.value = document.saveform.realm.value;
        }
        document.saveform.kdc_server.value = document.saveform.LDAP_Setting__Hostname.value;
        document.saveform.realm.disabled = true;
        document.saveform.domain.disabled = true;
        document.saveform.kdc_server.disabled = true;
    }else{
        tempstring = "";
        for(i = 1; i < hostnamefields.length; i ++){
    			tempstring += ParseHostname(i);
    			tempstring += (i == (hostnamefields.length - 1)? "" : "."); 
    		}
        if(isIPaddress) {
          document.saveform.realm.value = "";
          document.saveform.domain.value = "";
        }
        else {
          document.saveform.realm.value = tempstring.toUpperCase();
          document.saveform.domain.value = document.saveform.realm.value;
        }
        document.saveform.kdc_server.value = document.saveform.LDAP_Setting__Hostname.value;
    }
      EnableSaveButton();
  }
      	po_first=false;
}


function ClickLDAP()
{
    if(document.saveform.user_identification__user_identification_solution[3].checked)
    {
        SetLDAP(false);
        document.saveform.LDAP_Setting__Hostname.focus();
    }else{
        SetLDAP(true);
    }

    EnableSaveButton();
}

function ChangeHostName()
{
    ishostnamechanged = true;
    EnableSaveButton();
}

function doSubmit()
{
    if(!checkfields()) return;

    document.saveform.action = "http_config_user.jsp";
    document.saveform.op.value="save";
    document.saveform.daemonaction.value = httprestart;

    //this is work around for Tracker case #2209
    if(typeof(document.saveform.test)=='object')
        document.saveform.test.disabled = true;

    setTimeout( "document.saveform.submit()", 100 );
}
function doSettingTest()
{
    if(!checkfields()) return;

    document.saveform.action = "http_config_user.jsp";
    document.saveform.op.value="test";

    //this is work around for Tracker case #2209
    if(typeof(document.saveform.save)=='object')
        document.saveform.save.disabled = true;
    setTimeout( "document.saveform.submit()", 100 );
}

function popup_edit(url)
{
    editwin = window.open (url, 'editext', 'width=600,height=560,scrollbars');
}

function addtional_set(type)
{
    var linkurl = "http_config_ldap_krbs.jsp?";
    if(document.saveform.ChasingReferrals_view.disabled || !document.saveform.ChasingReferrals_view.checked){
        alert(i18n_krbs_warnmsg);
        return;
    }
    linkurl = linkurl + "type="+type;
    if(document.saveform.LDAP_Setting__Authentication[0].checked)
    {
        linkurl = linkurl + "&Auth=simple";
    }else if(document.saveform.LDAP_Setting__Authentication[1].checked)
    {
        linkurl = linkurl + "&Auth=advanced";
    }
    popup_edit(linkurl);    
}

function showtest(msgtype)
{
    if(msgtype==1)
    {
        alert(i18n_ldap_msg1);
       //init page
       ClickLDAP();
    }else if(msgtype==0){
        if (document.saveform.testresult.value!="") {
            alert(document.saveform.testresult.value);
        } else {
            alert(i18n_ldap_msg9);
        }
       //init page
       ClickLDAP();
    }else{
       //init page
       ClickLDAP();
       document.saveform.save.disabled=true;
    }
}

function disableUGrp(disFlag) 
{    
   if (disFlag == "yes") 
   {
      document.saveform.user_identification__user_identification_solution[3].disabled = true;
   }      
}
function enableUGrp() 
{    
      document.saveform.user_identification__user_identification_solution[3].disabled = false;  
}

function check_ldap(flag)
{
   if(flag == "yes")
   {
	  document.saveform.user_identification__user_identification_solution[3].disabled = false;
   }
   else
   {
      document.saveform.user_identification__user_identification_solution[3].disabled = true;	  
   }       
}
</SCRIPT>

</head>

<%
    int msgtype = -1;
    int maxPasswordLength = 256;
    String msgcontent=new String("");
    String enabled_value,checked_sign;
    String Hostname="", Port="", User="", Passwd="", EncryptedPasswd="", BDN="", Auth="", Auth_Advanced="",Auth_Simple="";
    String realm="",domain="",kdc_server="",kdc_port="0",ChasingReferrals="no";

    String KRB_INI_FILE = "krb5.conf";	// In UNIX

    //Windows will use different config file name
    if(System.getProperty("os.name").toLowerCase().indexOf("window")>=0){
        KRB_INI_FILE = "UtilBin/krb5.ini";
    }

   if((request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("test")==0) ||
      (request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0) )
   {
        msgtype=-1;
        IWSSINI pini=null;
        pini = new IWSSINI(request);
        
        if(request.getParameter("user_identification__user_identification_solution").compareToIgnoreCase("3")==0){
           // && request.getParameter("op").compareToIgnoreCase("test")==0){
            Hostname = request.getParameter("LDAP_Setting__Hostname");
            Port = request.getParameter("LDAP_Setting__Port");
            User = request.getParameter("LDAP_Setting__User");
            Passwd = request.getParameter("LDAP_Setting__Passwd");
            EncryptedPasswd = request.getParameter("LDAP_Setting__EncryptedPasswd");
    	    String DecryptPasswd = null;
            if (EncryptedPasswd.length() > maxPasswordLength ? 
                Passwd.equals(EncryptedPasswd.substring(0, maxPasswordLength)) :
                Passwd.equals(EncryptedPasswd)) {
                DecryptPasswd = IWSSJNI.DecryptPasswd(IWSSUtil.MyReplace(EncryptedPasswd, "%quot;", "\""));
            } else {
        		DecryptPasswd = Passwd;
    	    }
    
            BDN = request.getParameter("LDAP_Setting__BDN");
            Auth = request.getParameter("LDAP_Setting__Authentication");
            ChasingReferrals = request.getParameter("LDAP_Setting__ChasingReferrals");
            //always set auth as advanced for test ldap connection.
            int useauth=0;
            if(Auth.compareToIgnoreCase("advanced")==0) useauth = 0;
            else useauth = 1;
            if(useauth==0){
                realm = request.getParameter("realm");
                domain = request.getParameter("domain");
                kdc_server = request.getParameter("kdc_server");
                kdc_port = request.getParameter("kdc_port");
            }
            IWSSUtil.UI_out_println("-------------------------------------------------");
            String retmsg = IWSSJNI.TestLDAP2(Hostname, (new Integer(Port)).intValue(), User, DecryptPasswd, BDN, useauth,realm,domain,kdc_server,(new Integer(kdc_port)).intValue(), (new Integer(1)).intValue()); 

            IWSSUtil.UI_out_println("____________________"+retmsg);
            IWSSXML retmsgxml = new IWSSXML(retmsg);
            msgtype = (new Integer(retmsgxml.GetKeyValue("IWSSUI","rc"))).intValue();
            if(msgtype==0) msgcontent = retmsgxml.GetKeyValue("IWSSUI","err");
        }

        if(request.getParameter("op").compareToIgnoreCase("save")==0 &&
            ( (msgtype==1 && request.getParameter("user_identification__user_identification_solution").compareToIgnoreCase("3")==0)
              || request.getParameter("user_identification__user_identification_solution").compareToIgnoreCase("3")!=0)) {
                msgtype=-1;
                //for saving password
                String newPassword = pini.GetKeyValue("LDAP-Setting","Passwd");
                String encryptedPassword = IWSSUtil.MyReplace(pini.GetKeyValue("LDAP-Setting","EncryptedPasswd"), "&quot;", "\"");
                if(newPassword!=null && newPassword.compareToIgnoreCase("")!=0 &&
                   (encryptedPassword.length() > maxPasswordLength ?
                   !newPassword.equals(encryptedPassword.substring(0, maxPasswordLength)) :
                   !newPassword.equals(encryptedPassword)))                   
                {
                    //String oldpassword = pini.GetKeyValue("LDAP-Setting","Passwd");
        		    EncryptedPasswd = new String(IWSSJNI.EncryptPasswd(newPassword));
        		    Passwd = new String(EncryptedPasswd);
                    pini.SetKeyValue("LDAP-Setting","Passwd", Passwd);
                }
                pini.WriteConfig(IWSSInfo.GetWorkPath()+"intscan.ini");
                if(request.getParameter("LDAP_Setting__Authentication")!=null &&
                    request.getParameter("LDAP_Setting__Authentication").compareToIgnoreCase("advanced")==0)
                {
                        String krbfile = IWSSInfo.GetWorkPath()+KRB_INI_FILE;
                        //IWSSUtil.UI_out_println("*******************"+krbfile+":"+request.getParameter("realm")+":"+request.getParameter("domain")+":"+request.getParameter("kdc_server")+":"+request.getParameter("kdc_port"));
                        synchronized(IWSSJNI.class)
                        {
						    String retsavemsg = IWSSJNI.SaveKRBFile(krbfile, request.getParameter("realm"),request.getParameter("domain"),request.getParameter("kdc_server"),request.getParameter("kdc_port"));
                        }
                }

                IWSSUtil.WriteCMConfigChangeEvent();
                //take deamon action
                int daemon_action = 0;
                if(request.getParameter("daemonaction")!=null)
                {
                    daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                    if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
                }
         }
   }

   if((request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("test")==0) ||
      (request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0  && 
        request.getParameter("user_identification__user_identification_solution").compareToIgnoreCase("3")==0))
    {
            if(request.getParameter("LDAP_Setting__Authentication").compareToIgnoreCase("advanced")!=0)
            {
                IWSSINI krb5ini = new IWSSINI(IWSSInfo.GetWorkPath()+KRB_INI_FILE);
        
                realm = krb5ini.GetKeyValue("libdefaults","default_realm");
                domain = krb5ini.GetKeyValue("realms","default_domain");
                String kdc = krb5ini.GetKeyValue("realms","kdc");
                String[] kdcs = kdc.split(":");
                if(kdcs !=null && kdcs.length==2){
                    kdc_server = kdcs[0];
                    kdc_port = kdcs[1];
                }else{
                    kdc_server = new String("");
                    kdc_port = new String("");
                }
            }
   }else{
            Hostname = IWSSInfo.GetKeyValue("LDAP-Setting","Hostname");
            Port = IWSSInfo.GetKeyValue("LDAP-Setting","Port");
            User = IWSSInfo.GetKeyValue("LDAP-Setting","User");
            //Passwd = IWSSJNI.DecryptPasswd(IWSSInfo.GetKeyValue("LDAP-Setting","Passwd"));
            EncryptedPasswd = IWSSInfo.GetKeyValue("LDAP-Setting","Passwd");
    	    Passwd = EncryptedPasswd;
            BDN = IWSSInfo.GetKeyValue("LDAP-Setting","BDN");
            Auth = IWSSInfo.GetKeyValue("LDAP-Setting","Authentication");
            ChasingReferrals = IWSSInfo.GetKeyValue("LDAP-Setting","ChasingReferrals");
            IWSSINI krb5ini = new IWSSINI(IWSSInfo.GetWorkPath()+KRB_INI_FILE);
        
            realm = krb5ini.GetKeyValue("libdefaults","default_realm");
            domain = krb5ini.GetKeyValue("realms","default_domain");
            String kdc = krb5ini.GetKeyValue("realms","kdc");
            String[] kdcs = kdc.split(":");
            if(kdcs !=null && kdcs.length==2){
                kdc_server = kdcs[0];
                kdc_port = kdcs[1];
            }else{
                kdc_server = new String("");
                kdc_port = new String("");
            }
   }

   if(Auth.compareToIgnoreCase("advanced")==0)
   {
            Auth_Advanced = new String(" checked");
            Auth_Simple = new String("");
   }else
   {
            Auth_Advanced = new String("");
            Auth_Simple = new String(" checked");
   }


    String UID_solution = IWSSInfo.GetKeyValue("user-identification","user_identification_solution");
	//out.println("UID_solution=" + UID_solution + "<BR>");
    String UIDStatus0=new String("");
    String UIDStatus1 = new String("");
    String UIDStatus2 = new String("");
    String UIDStatus3 = new String("");

   if(request.getParameter("user_identification__user_identification_solution")!=null &&
        request.getParameter("user_identification__user_identification_solution").compareToIgnoreCase("3")==0) UID_solution="3";

    if(UID_solution!=null)
    {
        if(UID_solution.compareToIgnoreCase("1")==0) UIDStatus1=" checked";
        else if(UID_solution.compareToIgnoreCase("2")==0) UIDStatus2=" checked";
        else if(UID_solution.compareToIgnoreCase("3")==0) UIDStatus3=" checked";
        else UIDStatus0=" checked";
    }else UIDStatus0=" checked";
    if(msgtype==-1 && UID_solution.compareToIgnoreCase("3")==0) msgtype=3; //user/group selected
    else if(msgtype==-1) msgtype=2; //other user type selected

    IWSSINI protocol_ini = new IWSSINI(IWSSInfo.GetHTTPPniPath());
    String curMode = protocol_ini.GetKeyValue("http","transparency");
	String reverse_proxy_mode = protocol_ini.GetKeyValue("http","self_proxy");
	boolean isICAPMode = false;
	String ldap_status = "yes";
	isICAPMode = IWSSInfo.ISICAP();
	if((reverse_proxy_mode.equals("yes") || reverse_proxy_mode.equals("no") ) && curMode.equals("no") ||
	   isICAPMode == true ) 
	{
	  ldap_status = "yes";
	}
	else
	{
	  ldap_status = "no";
	}		
	String bridgemode_status = IWSSInfo.GetKeyValue("bridge","bridgemode");
	if(bridgemode_status != null)
	{
       if(bridgemode_status.equals("1")) ldap_status = "no";
	}
	
	String intscanPath = IWSSInfo.GetWorkPath() +"intscan.ini";
    IWSSINI ini = new IWSSINI(intscanPath); 
	String guest_user_login_value = ini.GetKeyValue("http", "guest_user_login");
	String user_id_value = ini.GetKeyValue("user-identification", "user_identification_solution");
	//out.println("guest_user_login_value=" + guest_user_login_value + "<BR>");
	//out.println("user_id_value=" + user_id_value + "<BR>");	
	if(user_id_value.compareToIgnoreCase("3") !=0)
	{
	     ini.SetKeyValue("http", "guest_user_login", "no");
         ini.WriteConfig(intscanPath);
	     IWSSUtil.updateFirewallRule("guest", 0);
	}
	
%>

<body  onload="javascript:showtest(<%=msgtype%>);check_ldap('<%=ldap_status%>');" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> 
  pop up description layer </div>
<FORM ACTION="http_config_user.jsp" METHOD=POST NAME=saveform>
<input type="hidden" name="fromurl" value="/http_config_user.jsp">
<input type=hidden name="daemonaction" value="0">
<input type=hidden name="op" value="krb_ini">
<input type=hidden name="testresult" value="<%=msgcontent%>">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tr>
    <td width="463" class="content-title">User
      Identification</td>
    <td width="77" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('http_config_user.htm');"> <img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <TR> 
      <TD  vAlign=top width="100%"> 
          <table width="540" border="0" cellpadding="0" cellspacing="0">
            <tr> 
              <td class="border"><table width="538" border="0" cellspacing="0" cellpadding="0">
                  <tr> 
                    <td colspan="2" class="tableheadergrey" style="padding-left:7px">User Identification 
                      Method</td>
                  </tr>
                  <tr>
                    <td colspan="2" class="data1">
<input type="radio" name="user_identification__user_identification_solution" value="0" <%=UIDStatus0%> onClick="javascript:ClickLDAP();">
No identification</td>
                  </tr>
                  <tr> 
                    <td colspan="2" class="data1">
<input type="radio" name="user_identification__user_identification_solution" value="1" <%=UIDStatus1%> onClick="javascript:ClickLDAP();">                    
IP address</td>
                  </tr>
                  <tr> 
                    <td colspan="2" class="data1">
            <input type="radio" name="user_identification__user_identification_solution" value="2" <%=UIDStatus2%> onClick="javascript:ClickLDAP();">
                    Host name (modified HTTP headers)&nbsp;<a onMouseOver="popLayer(0,15,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
                  </tr>
                  <tr> 
                    <td colspan="2" class="data1">
<input type="radio" name="user_identification__user_identification_solution" value="3" <%=UIDStatus3%> onClick="javascript:ClickLDAP();">                    
User/group name via proxy authorization&nbsp;                    </td>
                  </tr>
                  <tr> 
                    <td width="24" class="data1">&nbsp;                    </td>
                    <td width="514"><table width="514" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td height="22" colspan="3" class="data1"><span class="textbold">LDAP Settings:</span></td>
                      </tr>
                      <tr>
                        <td colspan="2" class="data1">LDAP vendor:</td>
                        <td width="342" class="data1">
<%if(IWSSInfo.GetKeyValue("LDAP-Setting","LDAPVendor").compareToIgnoreCase("1")==0){%>
<a href="javascript:void(0);" onClick="javascript:popup_edit('http_config_ldap_unix.jsp')">Select LDAP vendor</a>
<%}else if(IWSSInfo.GetKeyValue("LDAP-Setting","LDAPVendor").compareToIgnoreCase("2")==0){%>
<a href="javascript:void(0);" onClick="javascript:popup_edit('http_config_ldap_unix.jsp')">Select LDAP vendor</a>
<%}else{%>
<a href="javascript:void(0);" onClick="javascript:popup_edit('http_config_ldap_ms.jsp')">Select LDAP vendor</a>
<%}%>
<a onMouseOver="popLayer(1,15,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a>                        </td>
                      </tr>
                      <tr>
                        <td colspan="2" class="data1">LDAP server hostname:</td>
                        <td width="342" class="data1"><input name="LDAP_Setting__Hostname" type="text" class="button" size="58" maxlength="256" value="<%=IWSSUtil.MyReplace(Hostname,"\"","&quot;")%>" onKeyDown="ChangeHostName();">                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">&nbsp;</td>
                        <td class="data1">example: server1.us.example.com</td>
                      </tr>
                      <tr>
                        <td colspan="2" class="data1">Listing port number:</td>
                        <td class="data1">        <input name="LDAP_Setting__Port" type="text" class="button" value="<%=Port%>" size="10" maxlength="5" onKeyDown="EnableSaveButton();">                        </td>
                      </tr>
                      <tr>
                        <td colspan="2" class="data1">Admin account:</td>
                        <td class="data1">
<input name="LDAP_Setting__User" type="text" class="button" value="<%=IWSSUtil.MyReplace(User,"\"","&quot;")%>" size="58"  maxlength="256" onKeyDown="EnableSaveButton();">                        </td>
                      </tr>
                      <tr>
                        <td colspan="2" class="data1">Password:</td>
                        <td class="data1">
<input name="LDAP_Setting__Passwd" type="password" class="button" value="<%=IWSSUtil.MyReplace(Passwd, "\"", "&quot;")%>" size="58" maxlength="<%=maxPasswordLength%>" onkeydown="EnableSaveButton();">
<input name="LDAP_Setting__EncryptedPasswd" type="hidden" value="<%=IWSSUtil.MyReplace(EncryptedPasswd, "\"", "&quot;")%>"/>
                      </tr>
                      <tr>
                        <td colspan="2" class="data1">Base distinguished name: </td>
                        <td class="data1">
                   <input name="LDAP_Setting__BDN" type="text" class="button" size="58"  maxlength="256" value="<%=IWSSUtil.MyReplace(BDN,"\"","&quot;")%>" onKeyDown="EnableSaveButton();"  onfocus="javascript:popularize();">                        </td>
                      </tr>
                      <tr>
                        <td colspan="2">&nbsp;</td>
                        <td class="data1">example: DC=us,DC=example,DC=com</td>
                      </tr>
                      <tr>
                        <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
                      </tr>
                      <tr>
                        <td height="22" colspan="3" class="data1"><span class="textbold">LDAP Authentication Method:</span></td>
                      </tr>
                      <tr>
                        <td colspan="3" class="data1">
                <input type="radio" name="LDAP_Setting__Authentication" value="simple"<%=Auth_Simple%> onClick="javascript:ClickKRB(''); EnableSaveButton();">
      Simple <a onMouseOver="popLayer(2,15,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" border="0" align="absmiddle"></a></td>
                      </tr>
                      <tr>
                        <td colspan="3" class="data1">
        <input type="radio" name="LDAP_Setting__Authentication" value="advanced"<%=Auth_Advanced%>  onclick="javascript:ClickKRB(''); EnableSaveButton();">
      Advanced <a onMouseOver="popLayer(3,15,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" border="0" align="absmiddle"></a></td>
                      </tr>
                      <tr>
                        <td width="27">&nbsp;</td>
                        <td width="145" class="data1">Default Realm:</td>
                        <td class="data1">
                          <input name="realm" type="text" class="button" value="<%=IWSSUtil.MyReplace(realm,"\"","&quot;")%>" size="58" maxlength="128" onKeyDown="EnableSaveButton();" onFocus="javascript:popularize();">                        </td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1">example: us.example.com</td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td class="data1">Default Domain:</td>
                        <td class="data1">
                        <input name="domain" type="text" class="button" value="<%=IWSSUtil.MyReplace(domain,"\"","&quot;")%>" size="58" maxlength="128" onKeyDown="EnableSaveButton();">                        </td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1">example: us.example.com</td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td class="data1">KDC and admin Server:</td>
                        <td class="data1">
                            <input name="kdc_server" type="text" class="button" value="<%=IWSSUtil.MyReplace(kdc_server,"\"","&quot;")%>" size="58" maxlength="128" onKeyDown="EnableSaveButton();">                        </td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td class="data1">example: server1.us.example.com</td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td class="data1">KDC port number:</td>
                        <td class="data1">
                        <input name="kdc_port" type="text" class="button" value="<%=kdc_port%>" size="5" maxlength="5" onKeyDown="EnableSaveButton();">                        </td>
                      </tr>
                    <tr> 
                      <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
                    </tr>
                    <tr > 
                      <td height="22" colspan="3"><span> </span> <table width="100%" border="0" cellpadding="0" cellspacing="0">
                          <tr> 
                            <td><span> 
                            <input type="hidden" name="LDAP_Setting__ChasingReferrals" value="<%=ChasingReferrals%>">
                              <input type="checkbox" name="ChasingReferrals_view" value="yes"<%if(ChasingReferrals.compareToIgnoreCase("yes")==0){%> checked<%}%>  onclick="EnableSaveButton();">
                              </span><span class="textbold">Enable Referral Chasing</span></td>
                          </tr>
                        </table></td>
                    </tr>
                    <tr> 
                      <td>&nbsp;</td>
                      <td colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                          <tr> 
                            <td colspan="2" class="data1"><span> If authentication 
                              fails, refer clients to additional directory servers:</span></td>
                          </tr>
                          <tr> 
                            <td width="5%">&nbsp;</td>
                            <td width="95%" class="data1">1. <a href="javascript:void(0);" onClick="javascript:addtional_set('primary')">Primary 
                              referral server...</a></td>
                          </tr>
                          <tr> 
                            <td>&nbsp;</td>
                            <td class="data1">2. <a href="javascript:void(0);" onClick="javascript:addtional_set('secondary')">Secondary 
                              referral server...</a></td>
                          </tr>
                          </table>                          </td>
                        </tr>
                      <tr>
                        <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>                        </td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
            </tr>
          </table>
        
      </TD>
    </TR>
    
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"><%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", "Save", "width:55px", "disabled")%><%=AccessLevel.BUTTON(request, response, "cancel", "button", "javascript:self.location.replace('http_config_user.jsp')", "Cancel", "width:55px")%> 
<%=AccessLevel.BUTTON(request, response, "test", "button", "javascript:doSettingTest();", "Test LDAP Connection", "width:150px")%>    </td>
  </tr>
</table>
</form>
</body>
</html>
