﻿<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 07/06/2007                                        -->
<!--Description:                                            -->
<!--File:iwss_config_server.jsp                             -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->

<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
descarray = new Array(1);
descarray[0] = tipMaster;

function ValidatePort1(input_port)
{
	if(input_port.length==0 || !Port_Pattern.test(input_port)) return false;
	
	if(parseInt(input_port)<1024 || parseInt(input_port)>65535) return false;
	
	return true;
}
function doSubmit()
{
    if(document.saveform.enabled_view.checked) document.saveform.Server_farm__enabled.value="yes";
    else document.saveform.Server_farm__enabled.value="no";

    document.saveform.Server_farm__masterip.value = Trim(document.saveform.Server_farm__masterip.value);
    document.saveform.Server_farm__port.value = Trim(document.saveform.Server_farm__port.value);

    if(document.saveform.Server_farm__enabled.value=="yes"){
        if(!ValidatePort1(document.saveform.Server_farm__port.value)){
             alert(i18n_valid_port);
             document.saveform.Server_farm__port.focus();
             return;
        }

        if(document.saveform.Server_farm__servertype[1].checked){ 
            if(!ValidateIP(document.saveform.Server_farm__masterip.value)){
                alert(i18n_valid_ip);
                document.saveform.Server_farm__masterip.focus();
                return;
            }
        }
    }
    document.saveform.daemonaction.value = httprestart;
    setTimeout( "document.saveform.submit()", 100 );
}
</SCRIPT>
<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>
</head>
<%@ include file="productname.txt" %>
<%
    String enabled_value = IWSSInfo.GetKeyValue("Server-farm","enabled");
    String checked_sign;
    if(enabled_value.compareToIgnoreCase("yes")==0) checked_sign = new String(" checked");
    else checked_sign = new String("");

    String IsMaster=new String("");
    String IsSlave=new String("");
    if(IWSSInfo.GetKeyValue("Server-farm","servertype").compareToIgnoreCase("slave")==0)  IsSlave=" checked";
    else IsMaster=" checked";
%>
<body  onunload="javascript:cleanup_progress();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<FORM ACTION="servlet/com.trend.iwss.gui.servlet.interscanset" METHOD=POST NAME=saveform>
<input type="hidden" name="fromurl" value="/iwss_config_servers.jsp">
<input type=hidden name="daemonaction" value="0">
<input type=hidden name="op" value="serverfarm">

<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> 
  pop up description layer </div>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="94%" class="content-title">Server Configuration</td>
    <td width="6%" valign="bottom"> <div align="right">
<A href="javascript:openhelpwin('iwss_config_servers.htm');"> <img src="images/question.gif" width="18" height="18" border="0"></a></div></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="10" valign="middle" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="10"></td>
  </tr>
  <tr> 
    <td height="10"><img src="images/1space.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <TR> 
      <TD id=main-content vAlign=top width="100%">
          <table width="540" border="0" cellpadding="0" cellspacing="0">
            <tr> 
              <td colspan="2" class="border"><table width="528" border="0" cellspacing="0" cellpadding="0">
                  <tr> 
                    <td height="22" colspan="4" class="data1"> 
                        <input name="enabled_view" type="checkbox" value="checkbox"<%=checked_sign%> onClick="EnableSaveButton();">
                        <input name="Server_farm__enabled" type="hidden" value="">
                       Enable for use in a multiple <%=product_name%> server configuration</td>
                  </tr>
                   <tr> 
                    <td width="20" height="22" class="data1">&nbsp;</td>
                    <td colspan="3" class="data1">Master's listening port number: 
                      <input name="Server_farm__port" type="text" class="button" value="<%=IWSSInfo.GetKeyValue("Server-farm","port")%>" size="10" maxlength="5"  onkeydown="EnableSaveButton();">
                    </td>
                  </tr>
                  <tr> 
                    <td width="20" height="22" class="data1">&nbsp;</td>
                    <td width="80" class="data1">Server role:</td>
                    <td colspan="2" class="data1"> <input name="Server_farm__servertype" type="radio" value="master"<%=IsMaster%> onClick="EnableSaveButton();">
                      Master server&nbsp;<a onMouseOver="popLayer(0,20,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
                  </tr>
                  <tr> 
                    <td width="20" height="22" class="data1">&nbsp;</td>
                    <td width="65" class="data1">&nbsp;</td>
                    <td colspan="2" class="data1"> <input name="Server_farm__servertype" type="radio" value="slave"<%=IsSlave%> onClick="EnableSaveButton();">
                      Slave server</td>
                  </tr>
                  <tr> 
                    <td width="20" height="22" class="data1">&nbsp;</td>
                    <td width="65" class="data1">&nbsp;</td>
                     <td width="20" class="data1">&nbsp;</td>
                   <td width="423" class="data1">Master's IP address: 
                    <input name="Server_farm__masterip" type="text" class="button" size="50" maxlength="128" value="<%=IWSSUtil.MyReplace(IWSSInfo.GetKeyValue("Server-farm","masterip"),"\"","&quot;")%>"  onkeydown="EnableSaveButton();"></td>
                  </tr>
                </table></td>
            </tr>
          </table>
        </TD>
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="10" valign="middle">&nbsp;</td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td valign="bottom"> 
<%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", "Save", "width:55px", "disabled")%>
      <input name="cancel" type="button"  onclick="javascript:self.location.replace('iwss_config_servers.jsp')"  class="button" value="Cancel" style="width:55px"> 
    </td>
  </tr>
</table>
</form>
</body>
</html>
