SELECT u.mime_content as mime, cast(SUM(u.size/1000000.0) as int) as violation_size, count(v.url) as violation_hits
into LOCAL TEMPORARY table tmpviolationtab
FROM tb_violation v,tb_url_usage u
Where u.date_field < to_timestamp('%s','YYYY-MM-DD HH:MI:SS')
AND u.date_field >= to_timestamp('%s','YYYY-MM-DD HH:MI:SS') 
AND u.mime_content!=''
AND u.uid=v.uid
GROUP BY u.mime_content;