SELECT  count(v.url) as violation_hits, u.domain as domain
into LOCAL TEMPORARY table tmpviolationtab
FROM tb_violation v,tb_url_usage u
Where v.date_field < to_timestamp('%s','YYYY-MM-DD HH:MI:SS')
AND v.date_field >= to_timestamp('%s','YYYY-MM-DD HH:MI:SS')
AND u.domain is not NULL
AND u.domain!=''
AND u.uid = v.uid
GROUP BY u.domain;