﻿<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 09/05/2006                                        -->
<!--Description: Add SNMP settings                          -->
<!--File:iwss_config_snmp.jsp                               -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->

<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
function doSubmit()
{
    if(document.saveform.virus_detected_view.checked) document.saveform.snmp__virus_detected.value = "yes";
    else document.saveform.snmp__virus_detected.value = "no";

    if(document.saveform.security_violation_view.checked) document.saveform.snmp__security_violation.value = "yes";
    else document.saveform.snmp__security_violation.value = "no";

    if(document.saveform.server_unfunction_view.checked) document.saveform.snmp__server_unfunction.value = "yes";
    else document.saveform.snmp__server_unfunction.value = "no";

    if(document.saveform.au_update_view.checked) document.saveform.snmp__au_update.value = "yes";
    else document.saveform.snmp__au_update.value = "no";
	
    if(document.saveform.performance_metrics_enabled_view.checked) document.saveform.snmp__performance_metrics_enabled.value = "yes";
    else document.saveform.snmp__performance_metrics_enabled.value = "no";

    document.saveform.daemonaction.value = snmprestart;
    document.saveform.op.value="snmpsetting";
    setTimeout( "document.saveform.submit()", 100 );
}

</script>
</head>
<%@ include file="productname.txt" %>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<FORM ACTION="servlet/com.trend.iwss.gui.servlet.interscanset" METHOD=POST NAME=saveform>
<input type=hidden name="op" value="snmpsetting">
<input type="hidden" name="fromurl" value="/notifications_snmp.jsp">
<input type=hidden name="daemonaction" value="0">

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="507" class="content-title"> SNMP
      Notifications</td>
    <td width="33" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('notifications_snmp.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="2" class="data1"><a href="notifications.jsp">Notifications</a> &gt; SNMP
      Notification</td>
  </tr>
  <tr>
    <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr>
    <td><table width="538" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="540" class="tableheadergrey">SNMP
          Notification</td>
      </tr>
      <tr>
        <td class="data1" style="padding-left:7px:">Send message/traps for following events:</td>
      </tr>
      <tr>
        <td class="data1"><input type=hidden name="snmp__virus_detected" value="<%=IWSSInfo.GetKeyValue("snmp","virus_detected")%>">
                <input type="checkbox" name="virus_detected_view" value="yes"<%if(IWSSInfo.GetKeyValue("snmp","virus_detected").compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
      Virus or Internet threats</td>
      </tr>
      <tr>
        <td class="data1"><input type=hidden name="snmp__security_violation" value="<%=IWSSInfo.GetKeyValue("snmp","security_violation")%>">
                <input type="checkbox" name="security_violation_view" value="yes"<%if(IWSSInfo.GetKeyValue("snmp","security_violation").compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
      Security violations (Access attempts to blocked, filtered or policy-restricted URLs/files)</td>
      </tr>
      <tr>
        <td class="data1"><input type=hidden name="snmp__au_update" value="<%=IWSSInfo.GetKeyValue("snmp","au_update")%>">
                <input type="checkbox" name="au_update_view" value="yes"<%if(IWSSInfo.GetKeyValue("snmp","au_update").compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
      Pattern, database or scan engine updates</td>
      </tr>
      <tr>
        <td class="data1"><input type=hidden name="snmp__server_unfunction" value="<%=IWSSInfo.GetKeyValue("snmp","server_unfunction")%>">
                <input type="checkbox" name="server_unfunction_view" value="yes"<%if(IWSSInfo.GetKeyValue("snmp","server_unfunction").compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
      <%=product_name%> service interruptions</td>
      </tr>
<!--------------------------------------------------------------------------------------------------------->
      <tr>
        <td class="data1"><input type=hidden name="snmp__performance_metrics_enabled" value="<%=IWSSInfo.GetKeyValue("snmp","performance_metrics_enabled")%>">
                <input type="checkbox" name="performance_metrics_enabled_view" value="yes"<%if(IWSSInfo.GetKeyValue("snmp","performance_metrics_enabled").compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
      System performance metrics</td>
      </tr>
<!--------------------------------------------------------------------------------------------------------->	  	 
    </table></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
      <%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", "Save", "width:55px", "disabled")%>
      <input name="cancel"  type="button"  onclick="javascript:self.location.replace('notifications_snmp.jsp')"  class="button" value="Cancel" style="width:55px"> 
    </td>
  </tr>
</table>
</body>
</form>
</html>
