﻿<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Created by: John Shih                                   -->
<!--Date: 05/31/2007                                        -->
<!--Description: Display Audit Log                          -->
<!--File:show_auditlog.jsp                                  -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8"%>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.report.*" %>
<%@ page import="java.util.*" %>
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");
    if(dbxml==null){
		response.sendRedirect("databaseerror.jsp?Generic Error");
		return;
    }else{
		if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0)
		{
			response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));
			return;
		}
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
	
	
	
%>
<html>
<head>
<title>Trend Micro InterScan Web Appliance</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script id="TMCUBE_COMMON_JAVASCRIPT_FILE" language="JavaScript" Src="html/TmCube_Common.js"> </script>
<script language="javascript" src="html/func.js"></script>
<script language="javascript" src="html/i18n_warnmsg.js"></script>
<script language="JavaScript">
function doRefresh()
{
    document.saveform.action = "show_auditlog.jsp";
    document.saveform.method = "post";
    setTimeout( "document.saveform.submit()", 100 );
}

function printWindow(){
   bV = parseInt(navigator.appVersion)
   if (bV >= 4) window.print()
}
function doExport(){
  //alert("Export Excel")
  //document.saveform.action = "show_auditlog.jsp";
  document.saveform.action = "servlet/com.trend.iwss.gui.servlet.exportauditlog";
  document.saveform.method = "post";
  document.saveform.logtype_output.value = "cvs";
  setTimeout( "document.saveform.submit()", 100 );
}
</script>
</head>
<%@ include file="productname.txt" %>
<%
        int i = 0;
 	    String nothing = "";
	    String input_audit_log = "/etc/iscan/log/audit.trail.log";	
	    TreeMap user_treemap = new TreeMap();
	    Set set_user_treemap = null;
	    Iterator iterator_user_treemap = null;
	    Map.Entry mapentry_user_treemap = null;
	    TreeMap date_user_audit_log_treemap = new TreeMap();
	    String key_date_audit_log_treemap = null;
	    String user_name = nothing;
	    String date_str = nothing;
	    String action_name = nothing;
	    Set set_date_audit_log_treemap = null;
	    Iterator iterator_date_audit_log_treemap = null;
	    Map.Entry mapentry_date_audit_log_treemap = null;
	    String WorkPath=null;
	   String log_prefix=null;		
	    Audit_Log_Rec audit_log_rec_info = null;
		String auditlog_class_color = nothing;
/////////////////////////////////////////////////////////////////////////////////////////////////////
// radio:fixed
    String time_type_str = request.getParameter("timetype");
    //out.println("time_type_str=" + time_type_str);
// dateop picklist
    String dateop_str = request.getParameter("dateop");
    //out.println("dateop_str=" + dateop_str);

//  radio:range--- start month
    String smonth_str = request.getParameter("smonth");
    //out.println("smonth_str=" + smonth_str);
//  radio:range--- 	start day
    String sday_str = request.getParameter("sday");
    //out.println("sday_str=" + sday_str);
//  radio:range--- 	start year
    String syear_str = request.getParameter("syear");
    //out.println("syear_str=" + syear_str);
//  radio:range--- 	start hour
    String shour_str = request.getParameter("shour");
    //out.println("shour_str=" + shour_str);

//  radio:range--- end month
    String emonth_str = request.getParameter("emonth");
    //out.println("emonth_str=" + emonth_str);
//  radio:range--- 	end day
    String eday_str = request.getParameter("eday");
    //out.println("eday_str=" + eday_str);
//  radio:range---  end year
    String eyear_str = request.getParameter("eyear");
    //out.println("eyear_str=" + eyear_str);
//  radio:range--- 	end hour
    String ehour_str = request.getParameter("ehour");
    //out.println("ehour_str=" + ehour_str);

// Right picklist values
    int user_list_size = 0;
	int k = 0;
	String user_name_list_str = nothing;
    String[] user_list = request.getParameterValues("RightList");
    if(user_list!=null)
	{
	    user_list_size = user_list.length; 
        for(k=0;k<user_list.length;k++)
		{
            user_list[k] = new String(user_list[k].getBytes("ISO-8859-1"),"utf-8");
			if(k == 0) user_name_list_str = user_list[k];
		    if(k > 0) user_name_list_str = user_name_list_str + ":" + user_list[k];
		}
		
		for(i = 0; i < user_list_size; i++)
        {
        	user_treemap.put(user_list[i],user_list[i]);
        }
     }
 //for(int k=0;k<user_list.length;k++) out.println(k+"***********"+user_list[k]);
 
    if(user_list==null)
	{
 	   user_name_list_str = request.getParameter("user_name_list");
	   //out.println("user_name_list_str=" + user_name_list_str);
	   StringTokenizer parser = new StringTokenizer(user_name_list_str,":");
		while(parser.hasMoreTokens())
		{
		  String token_str = parser.nextToken();
		  user_treemap.put(token_str,token_str);
		}   
		//out.println("user_treemap=" + user_treemap + "<BR>");
	}
 
 //  picklist:sortby: user or date
    String sortby_str = request.getParameter("sortby");
    //out.println("sortby_str=" + sortby_str);
	
    String logtype_output_str = request.getParameter("logtype_output");
    //out.println("logtype_output_str=" + logtype_output_str);
	
	    //WorkPath = IWSSUtil.CheckPathEndSlash( IWSSJNI.GetWorkPath() );
	    //input_audit_log = WorkPath + "log/audit.trail.log";

	   WorkPath =	IWSSInfo.GetKeyValue("audit-trail","logfile");
	   log_prefix = IWSSInfo.GetKeyValue("audit-trail", "logfile_prefix");
	   input_audit_log = WorkPath + "/" + log_prefix;
	
		//out.println("input_audit_log=" + input_audit_log);
	    Read_Audit_Log_Sort_Date_User_Info read_audio_log_sort_date_user_info = 
		        new Read_Audit_Log_Sort_Date_User_Info(input_audit_log,
                                                       time_type_str,
                                                       dateop_str,
                                                       smonth_str,
                                                       sday_str,
                                                       syear_str,
                                                       shour_str,
                                                       emonth_str,
                                                       eday_str,
                                                       eyear_str,
                                                       ehour_str,
                                                       sortby_str,
                                                       user_treemap);
	   date_user_audit_log_treemap = read_audio_log_sort_date_user_info.get_date_user_audit_log_treemap();
       //out.println("date_user_audit_log_treemap=" + date_user_audit_log_treemap);
	   set_date_audit_log_treemap = date_user_audit_log_treemap.entrySet();
       iterator_date_audit_log_treemap = set_date_audit_log_treemap.iterator();

	if(logtype_output_str.equalsIgnoreCase("cvs"))
	{
	   response.setContentType("application/vnd.ms-excel");
	}												 													 	
%>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="TmCube_Nav_update(window.parent.left, 'AuditLog')">
<FORM ACTION="show_auditlog.jsp" METHOD=POST NAME=saveform target=logviewwin>
<table width="675" border="0" align="center" cellpadding="0" cellspacing="0">
<%
if(!logtype_output_str.equalsIgnoreCase("cvs"))
{
%>
  <tr>
    <td>
	
	  <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td background="images/os_topback_cui.gif"><img src="images/<%=banner_name%>" height="44"></td>
          <td width="100%" valign="middle" background="images/os_topback_cui.gif">&nbsp;          </td>
          <td width="90" background="images/os_topback_cui.gif"><img src="images/os-logosm.gif" width="90" height="44"></td>
        </tr>
      </table>
	  
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td bgcolor="#FF0000" class="popup-title"><table width="652" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="436"><span class="popup-title2">Audit Log as <%=ResourceInfo.GetCurrentTime()%></span></td>
                <td width="116" class="text"><div align="right"><img src="images/icon_csv.gif" width="18" height="18" align="absmiddle">&nbsp;<a href="javascript:doExport()">Export to CSV</a></div></td>
                <td width="9"><img src="images/1space_cui.gif" width="5" height="1"></td>
                <td width="50" class="text"><img src="images/icon_printer.gif" width="18" height="18" align="absmiddle">&nbsp;<a href="javascript:printWindow()">Print</a></td>
                <td width="5"><img src="images/1space_cui.gif" width="5" height="1"></td>
                <td width="72" class="text"><a href="javascript:void(0);" onClick="javascript:doRefresh();"><img src="images/icon_refresh.gif" width="18" height="18" border="0" align="absmiddle">&nbsp;Refresh</a></td>
              </tr>
            </table></td>
        </tr>
        <tr> 
          <td height="1" background="images/dot_cui.gif"></td>
        </tr>
      </table>

      <table width="675" border="0" cellpadding="0" cellspacing="0">
        <tr> 
          <td><table width="675" border="0" cellpadding="0" cellspacing="0" class="border2b">

              <tr> 
                <td width="137" height="22" class="grey"> 
                   <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr> 
                      <td class="text">User</td>
<%
if(request.getParameter("sortby").compareToIgnoreCase("User")==0 ){%>
                      <td><div align="right"><img src="images/arrow_down.gif" width="7" height="9"></div></td>
<%
}
%>
                    </tr>
                  </table></td>
				  
                <td width="144" height="22" class="grey">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr> 
                      <td class="text">Date</td>
<%
if(request.getParameter("sortby").compareToIgnoreCase("Date")==0){%>
                      <td><div align="right"><img src="images/arrow_down.gif" width="7" height="9"></div></td>
<%
}
%>
                    </tr>
                  </table></td>		  
                <td width="391" class="grey">Action Performed </td>
              </tr>
<%
} //end of if(!logtype_output_str.equalsIgnoreCase("cvs"))

if(logtype_output_str.equalsIgnoreCase("cvs"))
{
%>
                <tr> 
                <td class="grey" nowrap>User</td>
                <td class="grey" nowrap>Date</td>
                <td class="grey" nowrap>Action Performed</td>
				</tr>
<%
}
       int iter = 0;
       while(iterator_date_audit_log_treemap.hasNext())
       {
	      auditlog_class_color = (0 == iter % 2) ? "data1b" : "data2b";
          mapentry_date_audit_log_treemap = (Map.Entry) iterator_date_audit_log_treemap.next();
          audit_log_rec_info =
              (Audit_Log_Rec) mapentry_date_audit_log_treemap.getValue();
          if(audit_log_rec_info != null)
          {
        	  date_str = audit_log_rec_info.get_date_str();
           	  user_name = audit_log_rec_info.get_user_name();
        	  action_name = audit_log_rec_info.get_action_name();
              //out.println(key_date_audit_log_treemap + "=" + ":" + user_name + ":" + date_str + ":" + action_name + "<BR>" );
          }
if(!logtype_output_str.equalsIgnoreCase("cvs"))
{
%>
                <tr> 
                <td class="<%=auditlog_class_color%>" nowrap><%=user_name%></td>
                <td class="<%=auditlog_class_color%>" nowrap><%=date_str%></td>
                <td class="<%=auditlog_class_color%>" nowrap><%=action_name%></td>
				</tr>
<%
}
else
{
%>
                <tr> 
                <td width="140" class="<%=auditlog_class_color%>" nowrap><%=user_name%></td>
                <td width="200" class="<%=auditlog_class_color%>" nowrap><%=date_str%></td>
                <td width="800" class="<%=auditlog_class_color%>" nowrap><%=action_name%></td>
				</tr>
<%
}
          iter = iter + 1;
       }//end of while(iterator_date_audit_log_treemap.hasNext())

if(!logtype_output_str.equalsIgnoreCase("cvs"))
{
%>
            </table></td>
        </tr>
          <td height="28" align="center" valign="bottom"><font>
            <input name="Apply22" type="button" class="button" onClick="javascript:window.close();" value="Close" style="width:50px">
          </font></td>
        </tr>

      </table></td>
  </tr> 
<%
}
%>
</table>
<input name="logtype_output" type="hidden" value="html">
<input type=hidden name=timetype value="<%=request.getParameter("timetype")%>">
<input type=hidden name=dateop value="<%=request.getParameter("dateop")%>">
<input type=hidden name=timetype value="<%=request.getParameter("timetype")%>">
<input type=hidden name=sdatetime value="<%=request.getParameter("sdatetime")%>">
<input type=hidden name=edatetime value="<%=request.getParameter("edatetime")%>">
<input type=hidden name=syear value="<%=request.getParameter("syear")%>">
<input type=hidden name=eyear value="<%=request.getParameter("eyear")%>">
<input type=hidden name=smonth value="<%=request.getParameter("smonth")%>">
<input type=hidden name=emonth value="<%=request.getParameter("emonth")%>">
<input type=hidden name=sday value="<%=request.getParameter("sday")%>">
<input type=hidden name=eday value="<%=request.getParameter("eday")%>">
<input type=hidden name=shour value="<%=request.getParameter("shour")%>">
<input type=hidden name=ehour value="<%=request.getParameter("ehour")%>">
<input type=hidden name=sortby value="<%=request.getParameter("sortby")%>">
<input type=hidden name=user_name_list value="<%=user_name_list_str%>">
</FORM>
</body>
</html>
