﻿<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 05/15/2007                                        -->
<!--Description:                                            -->
<!-- Set table width = "100%"                               -->
<!--File:ftp_config_scan.jsp                                -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%
String extractLimitRatioOffValue = "100";
String extractLimitRatioOnValue = "1";

Object oGroupId = null;
int login_gid = 100;

    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp?mmc_policy");
        return;
    }
oGroupId = request.getSession().getAttribute("GroupId");
login_gid = Integer.parseInt(oGroupId.toString());
    IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");
    if(dbxml==null){
		response.sendRedirect("databaseerror.jsp?Generic Error");
		return;
    }else{
		if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0)
		{
			response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));
			return;
		}
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
	// Read intscan.ini [scan]minimum_threshold
	String smart_trickling_WorkPath = IWSSUtil.CheckPathEndSlash( IWSSJNI.GetWorkPath() );
	//out.println("smart_trickling_WorkPath=" + smart_trickling_WorkPath);
	String smart_trickling_location_file_ini = smart_trickling_WorkPath + "intscan.ini";
	//out.println("smart_trickling_location_file_ini=" + smart_trickling_location_file_ini + "<BR>");
	IWSSINI smart_trickling_ini = new IWSSINI(smart_trickling_location_file_ini);
	String minimum_threshold_value = smart_trickling_ini.GetKeyValue("Scan-configuration","minimum_threshold");
	int minimum_threshold_bytes = Integer.parseInt(minimum_threshold_value);
	int minimum_threshold_kb = minimum_threshold_bytes / 1024;
	//out.println("minimum_threshold_value=" + minimum_threshold_value + "<BR>");
	//out.println("minimum_threshold_kb=" + minimum_threshold_kb + "<BR>");
    int policyid=-1;

    PolicySetting psetting;
    PolicyItem item = null;
    Properties rule = null;

    if(request.getParameter("policyop")!=null && request.getParameter("policyop").compareToIgnoreCase("updatescanrule")==0){
        psetting = UIPolicy.getSessionPolicy(request, new FTPScanRule());
        item = psetting.getItem();
        rule = psetting.getRule();
        FTPScanRule globalrule = (FTPScanRule)item.getRule();
        PolicyManager.setGlobalRules(globalrule);
                

        IWSSINI requestini=null;

        try{
            requestini = new IWSSINI(request);   
            //set enable setting in DSC file
            requestini.WriteConfig(IWSSInfo.GetScan_Dsc());    
            //set other setting in PNI file
            requestini.WriteConfig(IWSSInfo.GetFTPPniPath());
            
            int daemon_action = 0;
            if(request.getParameter("daemonaction")!=null)
            {
                daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
            }
        }catch (Exception e)
        {
            //exception
        }
        //force ftp_config_scan.jsp load the data from database, instead of from submitted form
        response.sendRedirect("ftp_config_scan.jsp");
    }

    IWSSSession.setSession("HasPolicy",null,request);
    IWSSSession.setSession("PolicySetting",null,request);
    psetting = UIPolicy.getSessionPolicy(request, new FTPScanRule());
    item = psetting.getItem();
    rule = psetting.getRule();

	String db_trickle_rate_value = rule.getProperty("trickle_rate");
	//out.println("db_trickle_rate_value=" + db_trickle_rate_value + "<BR>");
	String db_trickle_max_size = rule.getProperty("trickle_max_size");
    //out.println("db_trickle_max_size=" + db_trickle_max_size + "<BR>");	
	float db_trickle_rate_number_byte = Integer.parseInt(db_trickle_rate_value) * 1024;
	//out.println("db_trickle_rate_number_byte=" + db_trickle_rate_number_byte + "<BR>");
	float db_trickle_max_size_number_byte = Integer.parseInt(db_trickle_max_size);
	int compute_percent_number = Math.round((float) (db_trickle_max_size_number_byte/db_trickle_rate_number_byte) * 100);
	//out.println("compute_percent_number=" + compute_percent_number + "<BR>");
	
	String nothing = "";
	String percent_20_selected = nothing;
	String percent_40_selected = nothing;
	String percent_60_selected = nothing;
	String percent_80_selected = nothing;
	String percent_100_selected = nothing;
	
	if(compute_percent_number == 20) 
	{ 
	  percent_20_selected = "selected";
	}
	else if(compute_percent_number == 40)
	{	
	  percent_40_selected = "selected";
	} 
	else if(compute_percent_number == 60)
    {
	  percent_60_selected = "selected";
	} 
	else if(compute_percent_number == 80)
    {
	  percent_80_selected = "selected";
	} 
	else if(compute_percent_number == 100)
	{
	   percent_100_selected = "selected";
	}else
	{
	  percent_60_selected = "selected";
	} 


    IWSSINI pni_ini = new IWSSINI(IWSSInfo.GetFTPPniPath());
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">

<script language="javascript" src="html/func.js"></script>
<script language="javascript" src="html/virusscan.js"></script>
<script language="javascript" src="html/i18n_warnmsg.js"></script>

<script language="JavaScript">
descarray = new Array(4);
descarray[0] = tipIntelliscan;
descarray[1] = tipThreatsOthers;
descarray[2] = tipOversized;
descarray[3] = tipSpecialHandling;

function validatefilehandling()
{
  var display_minimum_threshold = "8";
	scan_size_unit = document.saveform.scan_size_unit.value;
	//alert("scan_size_unit=" + scan_size_unit);
	
	if(scan_size_unit == "K") 
	{
	  input_threshold = document.saveform.scan_size_number.value * 1024;
	}
	else
	{
	  input_threshold = document.saveform.scan_size_number.value * 1024 * 1024;
	}
	//alert("input_threshold =" + input_threshold);

	var minimum_threshold = '<%=minimum_threshold_value%>';
	var display_minimum_threshold = '<%=minimum_threshold_kb%>'
	//alert("minimum_threshold=" + minimum_threshold);
	if(minimum_threshold > input_threshold)
	{
	   alert("Please enter the threshold greater than " + display_minimum_threshold + "KB for smart trickling.");
	  return false;
	}
  if (document.saveform.scan_huge_file_view.checked) document.saveform.scan_huge_file.value="yes";
  else document.saveform.scan_huge_file.value="no";

  if (document.saveform.scan_huge_file_view.checked){
    document.saveform.max_scan_size_number.value = Trim(document.saveform.max_scan_size_number.value);
    if(!Int_Pattern.test(document.saveform.max_scan_size_number.value)){
	alert(i18n_scan_msg5);
	document.saveform.max_scan_size_number.focus();
	return false;
    }
  
    if(document.saveform.max_scan_size_unit.options[1].selected){
	document.saveform.max_scan_size.value = document.saveform.max_scan_size_number.value*1024*1024;
	if(parseInt(document.saveform.max_scan_size_number.value)>2){
		alert(i18n_scan_msg5);
		document.saveform.max_scan_size_number.focus();
		return false;
	}
    }else{
        document.saveform.max_scan_size.value = document.saveform.max_scan_size_number.value*1024;
	if(parseInt(document.saveform.max_scan_size_number.value)>2048){
		alert(i18n_scan_msg5);
		document.saveform.max_scan_size_number.focus();
		return false;
	}
    }
	
		
  }//end of function validatefilehandling()

  if (document.saveform.special_handling_view.checked) document.saveform.special_handling.value="yes";
  else document.saveform.special_handling.value="no";

  if (document.saveform.special_handling_view.checked){
    document.saveform.scan_size_number.value = Trim(document.saveform.scan_size_number.value);
    if(!Int_Pattern.test(document.saveform.scan_size_number.value)){
	alert(i18n_scan_msg6);
	document.saveform.scan_size_number.focus();
	return false;
    }
  
    var tmpsize;
    if(document.saveform.scan_size_unit.options[1].selected){
        document.saveform.max_synchronous_scan_size.value = document.saveform.scan_size_number.value*1024*1024;
	 tmpsize = parseInt(document.saveform.scan_size_number.value*1024);
    }else{
        document.saveform.max_synchronous_scan_size.value = document.saveform.scan_size_number.value*1024;
	 tmpsize = parseInt(document.saveform.scan_size_number.value);
    }
    if (document.saveform.scan_huge_file_view.checked){
        tmphugesize = parseInt(document.saveform.max_scan_size.value);
	if(tmpsize>=tmphugesize){
		alert(i18n_scan_msg7);
		document.saveform.scan_size_number.focus();
		return false;
	}
    }


	//alert("document.saveform.scan_percent.value=" + document.saveform.scan_percent.value);
	document.saveform.trickle_rate_number.value = '<%=db_trickle_rate_value%>';	
	//alert("document.saveform.trickle_rate_number.value=" + document.saveform.trickle_rate_number.value);	
	document.saveform.trickle_max_size.value = Math.round(document.saveform.scan_percent.value/100 * document.saveform.trickle_rate_number.value * 1024);
	//alert("database value:document.saveform.trickle_max_size.value=" + document.saveform.trickle_max_size.value);
	
    if(!Int_Pattern.test(document.saveform.trickle_rate_number.value)){
        alert(i18n_scan_msg8);
        document.saveform.trickle_rate_number.focus();
        return false;
    }

    if(!Int_Pattern.test(document.saveform.trickle_max_size.value)){
        alert(i18n_scan_msg9);
        document.saveform.trickle_max_size.focus();
        return false;
    }
 }
 return true;
}

function CheckSpecialChars()
{
    var exceptioncharlist = "!\"#$%&'()^\\[@]:\;<>}+{`|~=";
    if(ISSpecialChar(document.saveform.other_block_types.value,exceptioncharlist))
    {
        alert(i18n_specialcharlist + exceptioncharlist);
        document.saveform.other_block_types.focus();
        return false;
    }
    return true;
}

function doSubmit()
{
    if(!validatescanset()) return;
    if(!validatefilehandling()) return;

    if(!CheckSpecialChars()) return;

    if(document.saveform.during_download.checked && document.saveform.during_upload.checked) document.saveform.scan__direction.value="both";
    else if(document.saveform.during_download.checked) document.saveform.scan__direction.value="download";
    else if(document.saveform.during_upload.checked) document.saveform.scan__direction.value="upload";
    else document.saveform.scan__direction.value="none";

    if(document.saveform.ftpscan_view.checked) document.saveform.ftp__enabled.value="yes";
    else document.saveform.ftp__enabled.value="no";
    
    if(document.saveform.extract_limit_ratio_view.checked) document.saveform.extract_limit_ratio.value=<%=extractLimitRatioOnValue%>;
    else document.saveform.extract_limit_ratio.value=<%=extractLimitRatioOffValue%>;

    if(document.saveform.ftp__enabled.value!=document.saveform.oldftpscan.value) document.saveform.daemonaction.value = ftpreloadplus;
    else document.saveform.daemonaction.value = ftpreloadplus;
	
	if(document.saveform.enable_blocktype_inzip_view[0].checked) document.saveform.enable_blocktype_inzip.value = "yes";
    else document.saveform.enable_blocktype_inzip.value = "no";
	//alert("document.saveform.enable_blocktype_inzip.value=" + document.saveform.enable_blocktype_inzip.value);
	
    setTimeout( "document.saveform.submit()", 100 );
}

function clicklargefile()
{
   if(document.saveform.special_handling_view.checked){
        setlargefile(false);
        setdeferredscan(false);
   }else{         
        setlargefile(true);
        setdeferredscan(true);
    }
   EnableSaveButton();
}

function setlargefile(status)
{
    document.saveform.scan_size_number.disabled=status;
    document.saveform.scan_size_unit.disabled=status;
}

function setdeferredscan(status)
{
    document.saveform.trickle_rate_number.disabled=status;
    document.saveform.trickle_rate_unit.disabled=status;
    document.saveform.trickle_max_size.disabled=status;
}

function init()
{
   initscan();
   if(!document.saveform.scan_huge_file_view.checked) sethugefile(true);
   if(!document.saveform.special_handling_view.checked){
        setlargefile(true);
        setdeferredscan(true);
    }
}
</script>
<script language="javascript" src="html/mouseover_help.js"></script>

</head>

<body onLoad="javascript:init();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> 
  pop up description layer </div>
<form method="post" name="saveform"action="ftp_config_scan.jsp">
<input name="policyop" type="hidden" class="button" value="updatescanrule">
<input name="policyid" type="hidden" class="button" value="<%=policyid%>">
<input type=hidden name="daemonaction" value="0">
<input type=hidden name="step" value="2">
<table width="100%" cellspacing=0 cellpadding=0 border=0>
  <tr>
    <td width="175" class="content-title">FTP
      Scanning</td>
    <td width="336" class="text"> 
<%
    String checked_sign="",enabled_value="";
    IWSSINI plugin_ini = new IWSSINI(IWSSInfo.GetScan_Dsc());
    if(plugin_ini!=null){
        enabled_value = plugin_ini.GetKeyValue("ftp","enabled");
        if(enabled_value!=null && enabled_value.compareToIgnoreCase("yes")==0) checked_sign = new String(" checked");
    } 
%>
            <input name="ftpscan_view" type="checkbox" <%=checked_sign%> onClick="EnableSaveButton();"> Enable FTP scanning&nbsp;
            <input name="ftp__enabled" type="hidden" value="">
            <input name="oldftpscan" type="hidden" value="<%=enabled_value%>">
      </td>
    <td width="29" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('ftp_config_scan.htm');"> <img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="10" colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
  <TBODY>
    <TR> 
      <TD  vAlign=top width="100%"> 

          <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr> 
              <!-- TABS -->
              <td background="images/tab_background_cui.gif"> <table cellpadding="0" cellspacing="0" border="0">
                <tr> 
                  <td><img src="images/tab_right-corner_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td background="images/tab_active_background_cui.gif" class="tabactive" valign="top" nowrap>Virus 
                    Scan Rule</td>
                  <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="ftp_config_spyware.jsp" > Spyware/Grayware Scan Rule</a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap>&nbsp;</td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="ftp_config_action.jsp" > Action</a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                </tr>
              </table></td>
              <td background="images/tab_background_cui.gif" align="right"><img src="images/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
              <!-- /TABS -->
            </tr>
            <tr> 
              <td colspan="2" class="border"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td class="tableheadergrey"  >Scan
                    Direction</td>
                </tr>
                <tr>
                  <td class="data1"  >Scan
                    files during:</td>
                </tr>
                <tr>
                  <td class="data1"  >
<% 
String download_sign="",upload_sign="";
String direction = pni_ini.GetKeyValue("scan","direction");
if(direction.compareToIgnoreCase("both")==0){
    download_sign = " checked";
    upload_sign = " checked";
}else if(direction.compareToIgnoreCase("download")==0) download_sign = " checked";
else if(direction.compareToIgnoreCase("upload")==0) upload_sign = " checked";
%>
                        <input name=scan__direction type=hidden value="<%=direction%>">
                        <input name="during_upload" type="checkbox" value="upload"<%=upload_sign%> onClick="EnableSaveButton();">
                    Upload</td>
                </tr>
                <tr>
                  <td class="data1"><input name="during_download" type="checkbox" value="download"<%=download_sign%> onClick="EnableSaveButton();">
                  Download</td>
                </tr>
                <tr>
                  <td class="tableheadergrey2"  >Block
                    these file types:</td>
                </tr>
                <tr>
                  <td><table width="538" border="0" cellspacing="0" cellpadding="0">
<%
String block_types = rule.getProperty("block_types");
%>
              <tr>
                <td width="144"  class="data1">
                <input type=hidden name=block_types value="">
                <input type="checkbox" name="block_types_view" value="java" onClick="EnableSaveButton();"<%if(block_types.indexOf("java")>=0){%> checked<%}%>>
                  Java applets</td>
                <td width="113"  class="data1">
                  <input type="checkbox" name="block_types_view" value="exec" onClick="EnableSaveButton();"<%if(block_types.indexOf("exec")>=0){%> checked<%}%>>
                  Executables</td>
                <td width="281"  class="data1">
                  <input type="checkbox" name="block_types_view" value="office" onClick="EnableSaveButton();"<%if(block_types.indexOf("office")>=0){%> checked<%}%>>
                  Microsoft Office documents</td>
              </tr>
              <tr>
                <td  class="data1">
                  <input type="checkbox" name="block_types_view" value="audiovideo" onClick="EnableSaveButton();"<%if(block_types.indexOf("audiovideo")>=0){%> checked<%}%>>
                  Audio/video files</td>
                <td  class="data1">
                  <input type="checkbox" name="block_types_view" value="picture" onClick="EnableSaveButton();"<%if(block_types.indexOf("picture")>=0){%> checked<%}%>>
                  Images</td>
                <td  class="data1">
<%
String othertypes = rule.getProperty("other_block_types").trim();
String othertypes_sign = "";
if(othertypes.compareToIgnoreCase("")!=0){
    if(block_types.indexOf(othertypes)>=0) othertypes_sign = " checked";
}
othertypes = IWSSUtil.MyReplace(othertypes,"\"","&quot;");
%>
                  <input type="checkbox" name="block_types_view" value=""<%=othertypes_sign%> onClick="clickothertype();">
                  Other file types
                  <input name="other_block_types" type="text" class="button" value="<%=othertypes%>" onKeyDown="EnableSaveButton();">
                </td>
              </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td><img src="images/1space_cui.gif" width="1" height="10"></td>
                </tr>
        <tr>
          <td><img src="images/1space_cui.gif" width="1" height="10"></td>
        </tr>
              <tr>
                <td class="data1">&nbsp;&nbsp;Block compressed files containing any of the selected  file types? 
			    <input name="enable_blocktype_inzip" type=hidden value="<%=rule.getProperty("enable_blocktype_inzip")%>">
                <input name="enable_blocktype_inzip_view" type="radio" value="yes"<%if(IWSSUtil.EqualPropertyString(rule,"enable_blocktype_inzip","yes")){%> checked<%}%> onClick="EnableSaveButton();">
                Yes
                <input name="enable_blocktype_inzip_view" type="radio" value="no"<%if(!IWSSUtil.EqualPropertyString(rule,"enable_blocktype_inzip","yes")){%> checked<%}%> onClick="EnableSaveButton();">
                No</td>
              </tr>
              <tr>
                <td><img src="images/1space_cui.gif" width="1" height="10"></td>
              </tr>
              <tr>
                <tr>
                  <td class="tableheadergrey2">Scan
                    these file types (if not blocked):</td>
                </tr>
                <tr>
                  <td class="data1">Select
                    a method:</td>
                </tr>
        <tr>
          <td class="data1"><input name="level" type="radio" value="scanall"<%if(IWSSUtil.EqualPropertyString(rule,"level","scanall")){%> checked<%}%> onClick="EnableSaveButton();">
            All scannable files</td>
        </tr>
        <tr>
          <td class="data1"><input name="level" type="radio" value="scanintelli"<%if(IWSSUtil.EqualPropertyString(rule,"level","scanintelli")){%> checked<%}%> onClick="EnableSaveButton();">
            IntelliScan: uses &quot;true
            file type&quot; identification <a onMouseOver="popLayer(0,15,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
        </tr>
        <tr>
          <td class="data1"><input name="level" type="radio" value="scanext"<%if(IWSSUtil.EqualPropertyString(rule,"level","scanext")){%> checked<%}%> onClick="EnableSaveButton();">
            Specified file <a href="javascript:edit_extension('ftp_config_extension.jsp');">extensions...</a></td>
        </tr>
                <tr>
                  <td><img src="images/1space.gif" width="1" height="10"></td>
                </tr>
                <tr>
                  <td class="tableheadergrey2">Compressed File Handling</td>
                </tr>
 <%
    String AllCompress_sign="",NotAllCompress_sign="";
    if(rule.getProperty("block_types").indexOf("archiv")>=0) AllCompress_sign=" checked";
    else NotAllCompress_sign = " checked";
%>
        <tr>
          <td class="data1"><input type="radio" name="BlockCompress" value="yes"<%=AllCompress_sign%> onClick="clickcompress();">
            Block all compressed files</td>
        </tr>
        <tr>
          <td class="data1"><input name="BlockCompress"  type="radio" value="no"<%=NotAllCompress_sign%> onClick="clickcompress();">
            Block compressed files if:</td>
        </tr>
                <tr>
                  <td><table width="538" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="25">&nbsp;</td>
                        <td width="293" class="data1">Decompressed file count exceeds:</td>
                        <td width="220" class="data1">
                          <input name="extract_limit_count" type="text" class="button" value="<%=rule.getProperty("extract_limit_count")%>" size="6" maxlength="6" style="width:50;" onKeyDown="EnableSaveButton();">
                        (1-999999)</td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td class="data1">Size of a decompressed file exceeds:</td>
                        <td class="data1">
  <%
    String file_size_number="", file_size_unit="";
    String extract_limit_size = rule.getProperty("extract_limit_size");
    file_size_number = extract_limit_size.trim();
    if(file_size_number.length()>1) file_size_number = file_size_number.substring(0,file_size_number.length()-1);

    file_size_unit = extract_limit_size.trim();
    if(file_size_unit.length()>1) file_size_unit = file_size_unit.substring(file_size_unit.length()-1);
%>
                  <input type=hidden name="extract_limit_size" value="<%=extract_limit_size%>">
                  <INPUT name=file_size_number  type="text" class="button" value="<%=file_size_number%>"  size="5" maxlength="5" style="width:50;" onKeyDown="EnableSaveButton();">
                <SELECT name="file_size_unit" size="1" class="button"  onchange="EnableSaveButton();">
                                    <OPTION value="K"<%if(file_size_unit.compareToIgnoreCase("K")==0){%> selected<%}%>>KB</OPTION>
                                    <OPTION value="M"<%if(file_size_unit.compareToIgnoreCase("M")==0){%> selected<%}%>>MB</OPTION>
                                    <OPTION value="G"<%if(file_size_unit.compareToIgnoreCase("G")==0){%> selected<%}%>>GB</OPTION>
                </SELECT>
                (1-99999)</td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td class="data1">Number of layers of compression exceeds:</td>
                        <td class="data1">
                          <input name="decompress_layer_limit" type="text" class="button" value="<%=rule.getProperty("decompress_layer_limit")%>"  size="3" maxlength="3" style="width:40;" onKeyDown="EnableSaveButton();">
            (0-20)</td>
                      </tr>
                      <tr>
                      <%
                      String extractLimitRatioValue = rule.getProperty("extract_limit_ratio");
                      extractLimitRatioValue = (extractLimitRatioValue == null) ? extractLimitRatioOffValue : extractLimitRatioValue;
                      %>
                        <td>&nbsp;</td>
		                <td class="data1" colspan="2"><input name="extract_limit_ratio_view" type="checkbox" onClick="EnableSaveButton();" <%if(!extractLimitRatioValue.equals(extractLimitRatioOffValue)){%>checked<%}%>> Compression ratio exceeds 99%. (Files with less than 99% compression ratio are automatically allowed by IWSS)                  
		                  <input name="extract_limit_ratio" type="hidden" value="<%=extractLimitRatioValue%>">
		                </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td><img src="images/1space.gif" width="1" height="10"></td>
                </tr>
                <tr>
                  <td class="tableheadergrey2">Large
                    File Handling</td>
                </tr>
                <tr>
                  <td class="data1">                  <input type=hidden name=scan_huge_file value="">
                  <input type="checkbox" name="scan_huge_file_view" value="yes"<%if(IWSSUtil.EqualPropertyString(rule,"scan_huge_file","yes")){%> checked<%}%>  onclick="clickhugefile();">
      Do not scan files larger than:
<%
    int max_scan_size;
    if(rule.getProperty("max_scan_size")!=null){
        max_scan_size = Integer.parseInt(rule.getProperty("max_scan_size").trim());
    }else max_scan_size=0;    

    int max_scan_size_number = max_scan_size/1024;
    String max_scan_size_unit="M";
    if(max_scan_size_number>=10240){
        max_scan_size_number=max_scan_size_number/1024;
        max_scan_size_unit="G";
    }
%>
                  <input type=hidden name=max_scan_size value="<%=max_scan_size%>">
                  <input name="max_scan_size_number" type="text" class="button" value="<%=max_scan_size_number%>" size="10" maxlength="5" onKeyUp="EnableSaveButton();">
                  <SELECT name="max_scan_size_unit" class="button" onChange="EnableSaveButton();">
                    <option value="M"<%if(max_scan_size_unit.compareToIgnoreCase("M")==0){%> selected<%}%>>MB</option>
                    <option value="G"<%if(max_scan_size_unit.compareToIgnoreCase("G")==0){%> selected<%}%>>GB</option>
                  </SELECT>
        <a onMouseOver="popLayer(2,15,50)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
                </tr>
                <tr>
                  <td class="data1">
                  <input type=hidden name=special_handling value="">
                  <input type="checkbox" name="special_handling_view" value="yes"<%if(IWSSUtil.EqualPropertyString(rule,"special_handling","yes")){%> checked<%}%> onClick="clicklargefile();">

<%
    long max_syn_scan_size;
    if(rule.getProperty("max_synchronous_scan_size")!=null){
        max_syn_scan_size = Long.parseLong(rule.getProperty("max_synchronous_scan_size").trim());
    }else max_syn_scan_size=0;    

    long scan_size_number = max_syn_scan_size/1024;
    String scan_size_unit="K";
    if(scan_size_number>=10240){
        scan_size_number=scan_size_number/1024;
        scan_size_unit="M";
    }
%>
                <input type=hidden name=max_synchronous_scan_size value="<%=max_syn_scan_size%>">
      Enable Deferred Scan for files larger than:
                    <input name="scan_size_number" type="text" class="button" value="<%=scan_size_number%>" size="10" maxlength=5 onKeyUp="EnableSaveButton();">
                    <SELECT name="scan_size_unit" class="button" onChange="EnableSaveButton();">
                    <option value="K"<%if(scan_size_unit.compareToIgnoreCase("K")==0){%> selected<%}%>>KB</option>
                    <option value="M"<%if(scan_size_unit.compareToIgnoreCase("M")==0){%> selected<%}%>>MB</option>
                    </SELECT>
        <a onMouseOver="popLayer(3,15,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
                </tr>
                <tr>
                  <td><table width="538" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="24" >&nbsp;</td>
                        <td  colspan="2" valign="top" class="data1" td>Deferred scanning: deliver part of the page without scanning, scan the rest (keeps the client connection alive).</td>
                      </tr>

<%
    int trickle_max_size = 0;
	int trickle_rate = 0;
    float scan_percent_number = (float)0.6;
	if(rule.getProperty("trickle_rate")!=null){
    trickle_rate = Integer.parseInt(rule.getProperty("trickle_rate").trim());
	}else trickle_rate=0;   
    int trickle_rate_number = trickle_rate;
    String trickle_rate_unit="K";
    if(trickle_rate>=10240){
        trickle_rate_number=trickle_rate/1024;
        trickle_rate_unit="M";
    }
	//trickle_max_size = Integer.parseInt(rule.getProperty("trickle_max_size").trim());
	//out.println("trickle_max_size=" + trickle_max_size + "<BR>");
	//trickle_max_size = (int)(scan_percent_number * trickle_rate_number);
	//out.println("trickle_max_size=" + trickle_max_size + "<BR>");

%>
				  <input type="hidden" name="trickle_rate" value="<%=trickle_rate%>">  
                  <input type="hidden" name="trickle_rate_number" value="<%=trickle_rate_number%>">
				  <input type="hidden" name="trickle_rate_unit" value="K">
				  <input type="hidden" name="trickle_max_size" value="<%=trickle_rate_number%>">

                <tr>
                  <td><img src="images/1space.gif" width="1" height="10"></td>
                </tr>
                   <tr>
               <!--       <td>&nbsp;</td>-->
                      <td class="data1">&nbsp;</td>
                      <td class="data1">Percent of received data will be unscanned and sent to client periodically:
					  
                        <SELECT name="scan_percent" class="button" onChange="EnableSaveButton();">
                          <OPTION value="20" <%=percent_20_selected%> >20</OPTION>
                          <OPTION value="40" <%=percent_40_selected%> >40</OPTION>
                          <OPTION value="60" <%=percent_60_selected%> >60</OPTION>
                          <OPTION value="80" <%=percent_80_selected%> >80</OPTION>
                          <OPTION value="100" <%=percent_100_selected%> >100</OPTION>
                        </SELECT>
                        % </td>
              </tr>
					    <tr>
                         <td><img src="images/1space.gif" width="1" height="10"></td>
                        </tr>
                    </table>
                <tr>
                  <td class="tableheadergrey2">Quarantined
                    File Handling</td>
                </tr>
                <tr>
                  <td  class="data1">
                                <input name="backupencode" type=hidden value="">
            <input name="backupencode_view" type="checkbox" value="yes"<%if(IWSSUtil.EqualPropertyString(rule,"backupencode","yes")){%> checked<%}%> onClick="EnableSaveButton();">
      Encrypt quarantined files</td>
                </tr>
              </table></td>
            </tr>
          </table>
        
      </TD>
    </TR>
  </TBODY>
</TABLE>
<%if (login_gid == 100) { %>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"><input name="save" type="button"  class="button" onClick="javascript:doSubmit();"  value="Save" style="width:50px" disabled> 
      <input  name="cancel" type="button" class="button" onClick="javascript:self.location.replace('ftp_config_scan.jsp')" value="Cancel" style="width:50px"> 
    </td>
  </tr>
</table>
<%}%>
</body>
</html>
