BEGIN { sectionFound=0; foundTarget=0; }
{
	if ($1 == "[" section "]") {
		sectionFound = 1;
		next;
	} else {
		if ($1 ~ /^\[.*\]/) {
			sectionFound = 0; 
		}
	}
	if (sectionFound) {
		pattern = "^" key " *[" sep "]";
		if ( $0 ~ pattern ) {
			foundTarget=1
			exit
		}
	}
}
END {
	printf("%d", foundTarget);
}
