var i18n_specialcharlist="This field cannot contain any of the following characters: ";
var i18n_iprange="IP RANGE";
var i18n_ipadd="IP";
var i18n_user="USER";
var i18n_hostname="HOSTNAME";
var i18n_group="GROUP";

var i18n_empty_account ="No accounts have been selected. Please choose one or more accounts and try again.";
var i18n_dup_policyname ="This policy name already exists. Please specify another.";
var i18n_dup_ip = "Another policy is using the IP address you just specified. Please specify a different IP address.";
var i18n_dup_iprange = "Another policy is using the IP address range you just specified. Please specify a different IP address range.";
var i18n_fromip_largerthan_toip = "Invalid IP address range. Please make sure that the \"From\" IP address is higher than the \"To\" IP address.";
var i18n_fromport_largerthan_toport = "Invalid port range. Please make sure that the \"From\" port is higher than the \"To\" port.";
var i18n_policyname="Please enter a policy name.";
var i18n_notes_limit="The \"Note\" field exceeds the maximum length (256)."
var i18n_warning_deferredscan_late="When deferred scanning is enabled, IWSS will drop the connection when it detects malware, resulting in a partial file creation. For binary file types, (example: exe, dll) and most archive file types (example: zip, jar, cab), the partial file will not be executable or extractable, making it harmless. \n\nThere is a remote chance that a script file (example: js, htm) that contains a malicious script can still be compiled, even though it is only a partial file. In this case, the malware may harm your system.  Also, since script files are plaintext, IWSS may detect signatures in these partial files, giving you the impression that there is a virus leak. This condition can trigger other antivirus products to detect the signatures. While IWSS drops the connection once the malicious signature is detected, another antivirus product may scan the partial file and signal an alert, even if that partial file is harmless."

var i18n_deleteacc_confirm="Please click OK to delete the selected Accounts or Cancel to cancel.";

var i18n_email_address = "Please enter a valid email address.";
var i18n_valid_hostname = "Please enter a host name.";
var i18n_valid_ip ="Please enter a valid IP address.";
var i18n_valid_webconsole_port ="Please enter a valid port number between 1025 and 65535.";
var i18n_router_ip ="Please enter router IP address list separated by \',\'.";
var i18n_valid_port = "Please enter a valid port.";
var i18n_valid_ip_mask ="Please enter a valid mask.";
var i18n_valid_from_email = "Please enter a valid from email address";
var i18n_valid_to_email = "Please enter a valid to email address";

var i18n_qurantine_dir="Please specify a location (double-byte not supported) for quarantined files.";
var i18n_report_location="Please specify a location (double-byte not supported) for report archives.";

//accessquota_policy_list.jsp
var i18n_warning_restart_http_daemon="Enabling or disabling this feature and then click Save button or Deploy Policies button stops and restarts the daemon. This daemon activity will interrupt HTTP proxy service.";
//scan_policy_rule.jsp
var i18n_wrs_smart_trickling_minimum_threshold = "Please enter a number larger than the minimum_threshold (default is 8KB) for smart trickling.";
//http_url_cache.jsp
var i18n_url_clearing_cache_confirm = "Are you sure you want to clear the cache?";
var i18n_update_connection_setting_confirm = "To access the Web Reputation database including the feedback option, you must specify an upstream proxy server and port information in the Connection Settings screen (Updates > Configuration Settings). Do you want to use the same upstream proxy server and port information from this screen in the Connection Settings screen?";
//common_js_var.jsp
var i18n_Description01="[Virus or Trojan name]";
var notification_token01="%V";
var notification_token011="%v";
var i18n_Description02="[path and file name]";
var notification_token02="%P";
var notification_token021="%p";
var i18n_Description03="[file name]";
var notification_token03="%F";
var notification_token031="%f";
var i18n_Description04="[protocol being scanned]";
var notification_token04="%D";
var notification_token041="%d";
var i18n_Description05="[Action]";
var notification_token05="%A";
var notification_token051="%a";
var i18n_Description06="[Email recipient]";
var notification_token06="%T";
var notification_token061="%t";
var i18n_Description07="[IWSS host name]";
var notification_token07="%H";
var notification_token071="%h";
var i18n_Description08="[user name]";
var notification_token08="%N";
var notification_token081="%n";
var i18n_Description09="[scan type]";
var notification_token09="%L";
var notification_token091="%l";
var i18n_Description10="[Computer name]";
var notification_token10="%S";
var notification_token101="%s";
var i18n_Description11="[new certificate info]";
var notification_token11="%W";
var notification_token111="%w";
var i18n_Description12="[move path]";
var notification_token12="%M";
var notification_token121="%m";
var i18n_Description13="[transfer direction]";
var notification_token13="%R";
var notification_token131="%r";
var i18n_Description14="[URL/URI]";
var notification_token14="%U";
var notification_token141="%u";
var i18n_Description15="[reasons/block type]";
var notification_token15="%X";
var notification_token151="%x";
var i18n_Description16="[date and time]";
var notification_token16="%Y";
var notification_token161="%y";
var i18n_Description17="[policy name]";
var notification_token17="%Z";
var notification_token171="%z";

var i18n_DefaultHeadline="IWSS Security Event (%H[IWSS host name])";

//accessquota_policy_acc_rule.jsp
var i18n_accessquota ="Please specify a number (in megabytes) for this access quota limit.";
var i18n_unlimited_access="Unlimited Access";

var i18n_selectitem="Please select one or more items.";
var i18n_delitem_confirm="Are you sure you want to delete the selected items?";

var i18n_ext_warn_msg1 = "already exists in the Default Extensions list, and will not be added.";
var i18n_ext_warn_msg2 = "exists in both the Additional Extensions list and the Excluded list.";
var i18n_ext_warn_msg3 = "was not found in the Default Extensions list, and cannot be excluded."; 
 
//customreportset.jsp
var i18n_report_dir="Unable to open the specified Reports directory.";
var i18n_topn_virus="Please enter an integer for the following field: \"Riskiest URLs by viruses detected\".";
var i18n_topn_user="Please enter an integer for the following field: \"Riskiest users by infected URLs accessed\".";
var i18n_topn_vbyuser="Please enter an integer for the following field: \"Most violations by user\".";
var i18n_topn_vbygroup="Please enter an integer for the following field: \"Most violations by group\".";
var i18n_topn_burlc="Please enter an integer for the following field: \"Most blocked URL categories\".";
var i18n_topn_bweb="Please enter an integer for the following field: \"Most blocked URLs\".";
var i18n_topn_mmc="Please enter an integer for the following field: \"Most Blocked Applets and ActiveX Objects\".";
var i18n_topn_activeuser="Please enter an integer for the following field: \"Most active users\".";
var i18n_topn_popurl="Please enter an integer for the following field: \"Most popular URLs\".";
var i18n_topn_download="Please enter an integer for the following field: \"Most popular downloads\".";
var i18n_topn_searcheng="Please enter an integer for the following field: \"Most popular search engines\".";
var i18n_topn_categories_weighted="Please enter an integer for the following field: \"Top categories (weighted)\".";
var i18n_topn_im_p2p="Please enter an integer for the following field: \"Most active IM/P2P\".";
var i18n_topn_spyware_category="Please enter an integer for the following field: \"Spyware/Grayware detections by category\".";
var i18n_topn_spyware_grayware="Please enter an integer for the following field: \"Top spyware/grayware detections\".";
var i18n_topn_spyware_users="Please enter an integer for the following field: \"Most detections by user\".";
var i18n_topn_cleanup_category="Please enter an integer for the following field: \"Cleanup events by category\".";
var i18n_topn_cleanup_name="Please enter an integer for the following field: \"Top cleanup events by name\".";
var i18n_topn_cleanup_ip="Please enter an integer for the following field: \"Most infected IP addresses\".";
var i18n_topn_indiv_traffic_site="Please enter an integer for the following field: \"Most popular sites by user visits\".";
var i18n_topn_indiv_blocked_cat="Please enter an integer for the following field: \"Most blocked URL categories by user\".";
var i18n_topn_indiv_blocked_url="Please enter an integer for the following field: \"Most blocked URLs by user\".";
var i18n_reportkept_daily="Please enter an integer for the following field: \"Number of Daily scheduled reports to save\".";
var i18n_reportkept_weekly="Please enter an integer for the following field: \"Number of Weekly scheduled reports to save\".";
var i18n_reportkept_monthly="Please enter an integer for the following field: \"Number of Monthly scheduled reports to save\".";
var i18n_topn_blocktunneltrap="Please enter an integer for the following field: \"IntelliTunnel Report\".";

var i18n_wrong_timerange="The specified time range is not valid. The start date is later than the end date. Please try again.";
var i18n_invalid_date="The date you specified doesn't exist. Please try again.";

// realtime_reportset.jsp
var i18n_report_count_warning="Generating more than three real-time reports can take several minutes. You may want to reduce your selection to three or less reports or use the Scheduled Reports option instead.\n\nClick OK to continue generating the selected reports.";

//ftp_config_proxy.jsp
var i18n_numthread = "The value entered for the number of threads must be from 1 to 256.";
var i18n_proxyserver = "Please enter the host name (double-byte not supported) or IP address of the proxy server you will use.";

//virus scan for both ftp and http
var i18n_scan_msg1 = "The value specified for \"maximum number of files\" must be greater than zero.";
var i18n_scan_msg2 = "The value specified for \"maximum decompressed-file size\" must be greater than zero.";
var i18n_scan_msg3 = "The value specified for \"Decompression percent\" must be from 1 to 100.";
var i18n_scan_msg4 = "The value specified for \"Decompression layers\" must be from 0 to 20.";
var i18n_scan_ext_msg = "Please select \"Specified file extensions\" before clicking this option.";
//tt139026
var i18n_scan_msg10 = "The value specified for \"maximum decompressed-file size\" should not be greater than 4GB.";

var i18n_scan_msg5="The value specified for the \"Do not scan files larger than\" field cannot exceed 2GB.";
var i18n_scan_msg6="Please enter an integer in the \"Enable special handling\" field ";
var i18n_scan_msg7="The value specified for \"Do not scan files larger than\" field cannot be less than the value for \"Enable special handling\".";
var i18n_scan_msg8 = "The trickling rate for deferred scan should be greater than zero.";
var i18n_scan_msg9 =  "The maximum size for data trickled during a deferred scan should be greater than zero.";


//http_config_httpproxy.jsp
var i18n_transparency_type="Please select transparency type.";
var i18n_no_transparency="Transparency mode doesn't support user/group proxy authentication. Please first change the user identification method then set transparency mode.";

//http_config_icap.jsp
var i18n_request_connection = "The maximum number of connections for REQ service should be greater than zero.";
var i18n_response_connection = "The maximum number of connections for response modification service should be greater than zero.";
var i18n_max_concurrent_connections="Maximum number of concurrent connections should be greater than zero.";

//ftp_config_proxy.jsp
var i18n_ftp_maxconcurrent="Maximum number of client requests should be greater than zero.";

//http_config_user.jsp
var i18n_invalid_ldap_test = "You did an invalid test.";
var i18n_ldap_msg1 = "Successfully contacted the LDAP server.";
var i18n_ldap_msg2 = "Please enter an administrator-level user ID for the LDAP server.";
var i18n_ldap_msg3 = "Please enter the password for the LDAP account.";
var i18n_ldap_msg4 = "Please enter the base distinguished name.";
var i18n_ldap_msg5 = "Please enter the default realm.";
var i18n_ldap_msg6 = "Please enter the default domain.";
var i18n_ldap_msg7 = "Please enter a KDC and admin server.";
var i18n_ldap_msg8 = "Please set the default domain to be the same as the default realm.";
var i18n_ldap_msg9 = "A configuration problem was encountered testing the LDAP connection - examine the console log (catalina.out) for further information.";

var i18n_krbs_warnmsg="Please make sure \"Referral Chasing\" is enabled and \"User identification method\" is correct.";
var i18n_ldap_customattr="Please enter custom attribute.";
var i18n_ldap_corpidentity="Please enter corporate identity.";
var i18n_ldap_corpgroup="Please enter corporate group.";
var i18n_ldap_corpuser="Please enter corporate user.";
var i18n_ldap_commonname="Please enter corporate common name.";
var i18n_ldap_corpmail="Please enter corporate email.";
var i18n_ldap_corpmemberof="Please enter the value of corporate memberOf.";
var i18n_ldap_corpmember="Please enter the value of corporate member.";

var i18n_mailsubject_phish="Phish URL from IWSS 3.0";
var i10n_mailsubject_reclassify = "URL for re-classification from IWSS 1.0";

//http_config_database.jsp
var i18n_dbconnect_success = "Connection to the database was successful.";
var i18n_db_dsn = "Please enter \"ODBC data source name\" (double-byte not supported).";
var i18n_db_username = "The user name doesn't support double-byte characters.";
var i18n_db_password = "The password doesn't support double-byte characters.";
var i18n_urlf_ttl = "The cache expiration number for URL filtering policy should be a positive integer.";
var i18n_accessquota_ttl = "The cache expiration number for Access Quota policy must be a positive integer.";
var i18n_virusscan_ttl = "The cache expiration number for Virus Scan policy should be a positive integer.";
var i18n_mmc_ttl = "The cache expiration number for applets and ActiveX policy must be a positive integer.";
var i18n_imp2p_ttl = "The cache expiration number for IntelliTunnel policy must be a positive integer.";
//license_activate.jsp
var i18n_license_activate ="One or more required fields were blank or contained invalid data. Please check the page and try again.";

//VLAN related pages
var i18n_bridgemode_isoff = "IWSS is not currently on bridge mode. All settings will not take effect. To enable bridge mode, go to HTTP > Configuration > Proxy Scan Settings, and select \"Network bridge\".";
var i18n_generic_errmsg = "An error occurred while processing your request. Please contact Trend Micro Technical Support for assistance.";
var i18n_invalid_input = "Invalid settings. Please check the settings and try again.";
var i18n_deploy_errmsg = "Deployment failed on items marked with *. Please check the items' settings.";

//VLANSettings.jsp, VLANSettingsEdit.jsp
var i18n_confirm_del_vlan = "Are you sure you want to permanently delete the selected Bridge ID setting(s)?";
var i18n_no_vlan = "No Bridge ID setting was selected. Please select a setting to continue.";
var i18n_max_num_vlan = "Unable to add the Bridge ID setting because you already have the maximum of 64 settings.";
var i18n_vlan_setting_exist= "Network ID and Netmask cannot be the same as other Bridge ID settings. Please specify a different Network ID and Netmask.";
var i18n_vlan_invalid_netid= "Network ID should be a valid IP address. Please type a valid IP address to proceed.";
var i18n_vlan_invalid_netmask = "Invalid Netmask. Type a valid Netmask to proceed.";
var i18n_vlan_invalid_vlan = "Invalid VLAN ID. Type a number between 1 and 4094, or leave the field blank to set an untagged bridge.";
var i18n_vlan_netid_include_netmask = "Netmask is not part of the Network ID. Please specify a Netmask that is part of the Network ID.";
var i18n_vlan_not_the_same_subnet = "The Bridge ID setting and Management IP address cannot have the same Netmask value. Please type a different Netmask value to proceed.";

//staticRoutes.jsp, staticRouteEdit.jsp
var i18n_confirm_del_sroute = "Are you sure you want to permanently delete the selected static route(s)?";
var i18n_no_static_route = "No static route was selected. Please select a static route to proceed.";
var i18n_max_num_sroute = "Unable to add the static route because you already have the maximum of 50 static routes.";
var i18n_sroute_invalid_netid = "Network ID should be a valid IP address. Please type a valid IP address to proceed.";
var i18n_sroute_invalid_router = "Router should be a valid IP address. Please type a valid IP address to proceed.";
var i18n_sroute_invalid_netmask = "Invalid Netmask. Type a valid Netmask to proceed.";
var i18n_sroute_thesame_subnet = "The router is not in the same subnet as the VLAN ID's Bridge ID settings. Please specify a router in the same subnet.";
var i18n_sroute_netid_include_netmask = "Netmask is not part of the Network ID. Please specify a Netmask that is part of the Network ID.";
var i18n_sroute_ip_not_the_same = "The static route cannot be the same as the Management IP. Please specify a different static route.";
var i18n_sroute_the_same = "Network ID and Netmask cannot be the same as other route settings. Please specify a different Network ID and Netmask.";

//server farm
var i18n_bind_localport_failed = "Unable to bind to the Master's listening port because the port number is already used. Please specify a different port number and try again.";
var i18n_connect_to_master_failed = "Unable to connect to the Master server. Please specify valid server settings or check the connection status with the server.";

//mmc_activate_dc.jsp
var i18n_activatedc_msg1="Please select one or more certificates.";
var i18n_activatedc_msg2="This will delete all selected certificates. Click OK to continue or Cancel to return.";
var i18n_activatedc_msg3="This will move all selected certificates to the inactive list. Click OK to continue or Cancel to return.";
var i18n_activatedc_msg4="This will move all selected certificates to flagged list. Click OK to continue or Cancel to return";
var i18n_activatedc_msg5="The selected certificates have been moved to flagged list.";
var i18n_activatedc_msg6="The selected certificates have been moved to inactive list.";
var i18n_activatedc_msg7="The selected certificates have been deleted.";
var i18n_activatedc_msg8="This will remove all selected certificates from flagged. Click OK to continue or Cancel to return.";
var i18n_activatedc_msg9="The selected certificates have been moved from flagged list.";
var i18n_activatedc_msg10="This will move all selected certificates to the active list. Click OK to continue or Cancel to return.";
var i18n_activatedc_msg11="The selected certificates have been moved to active certificate list.";
var i18n_activatedc_msg12="Not all the certificates you selected could be deleted.";
var i18n_activatedc_msg13="Failed to upload certificate file.";
var i18n_activatedc_msg14="Certificate list operation failed.";
var i18n_import_cert = "Please specify the name and location of the certificate you want to Import. ";

//mmc_policy_exception.jsp
//Please don't translate next line
var i18n_pathtype = new Array(3); 
i18n_pathtype[0]="absolute path";
i18n_pathtype[1]="all files";
i18n_pathtype[2]="sub-directory";
var i18n_dup_pathinput="Please enter a different path.";
var i18n_mmc_exceptionpath="Please enter a path (double-byte not supported).";

//mmc_policy_java.jsp
var i18n_max_thread = "The value entered for maximum threads must be greater than zero.";
var i18n_max_window = "The value entered for maximum windows must be greater than zero.";

//report list
var i18n_choose_report="Please choose one or more reports.";
var i18n_delreport_confirm="This action will delete all selected reports. Click OK to continue or Cancel to return.";

//notifications_*.jsp
var i18n_select_usermsg="Please specify the type of user notification";
var i18n_adminmsg="Please specify the admin notification.";
var i18n_import_msg = "Please specify the name and location of the file you want to Import. ";
var i18n_event_headline="Please specify a headline to use for security events.";
var i18n_preview_title="Trend Micro InterScan Web Security Suite Preview";
var i18n_pattern_subject = "Please specify an email Subject for pattern update notifications.";
var i18n_urlfdb_subject = "Please specify an email Subject for URL-Filtering database update notifications.";
var i18n_eng_subject = "Please specify an email a Subject for scan-engine update notifications.";
var i18n_ftp_addtl_virus_message = "double-byte characters are not supported in FTP customerized user notification messages field.";
var i18n_ftp_addtl_type_message = "double-byte characters are not supported in FTP customerized user notification messages field.";
//notifications_smtp.jsp
var i18n_smtp_from = "Please enter the email address that you want to appear in the From: field for notification messages sent by IWSS.";
var i18n_smtp_to = "Please enter the email address that you want to appear in the To: field for notification messages sent by IWSS.";
var i18n_mail_queue  = "The number of minutes to check mail queue should be higher than 0 and lower than 65535.";
var i18n_smtp_server = "Please enter the IP address or host name (double-byte not supported) of the SMTP server you will use to send notifications.";

//password.jsp
var i18n_password_msg1="Please enter the old password.";
var i18n_password_msg2="Please enter the new password.";
var i18n_password_msg3="Please enter confirm the new password.";
var i18n_password_msg4="The passwords do not match.";
var i18n_password_msg5="Passwords should be between 4 and 32 alphanumeric characters.";
var i18n_user_acct_msg1="Please enter user id.";
var i18n_user_acct_msg2="Please enter user password.";
var i18n_user_acct_msg3="Please enter confirm the password.";
var i18n_user_acct_msg4="Please enter description for this user account.";
var i18n_user_acct_msg5="Username should be alphanumeric characters only.";

//quota_account.jsp
var i18n_query_keyword="Please specify one keyword for the search.";
var i18n_query_selectuser="Please choose a user or group name.";
var i18n_query_nomatch="No Match!";

//report_logsetting.jsp
var i18n_reportlog_msg1="Please specify a directory for virus logs (double-byte not supported).";
var i18n_reportlog_msg2="Please specify a directory for URL-Blocking logs (double-byte not supported).";
var i18n_reportlog_msg3="Please specify a  directory for performance logs (double-byte not supported).";
var i18n_reportlog_msg4="Please specify a directory for access logs (double-byte not supported).";
var i18n_reportlog_msg5="Please specify the frequency (from 1 to 9 minutes) for performance logging.";
var i18n_reportlog_msg6="Please specify the frequency (from 1 to 2 minutes) for access logging.";
var i18n_reportlog_msg7="Please specify the frequency for updating the database logs.";
var i18n_reportlog_msg8="Please specify the number of days to store logs in the database.";

//summary.jsp
var i18n_au_confirm_msg1 = "IWSS is already running the latest scan engine. Do you want to force an update?";
var i18n_au_confirm_msg2 = "IWSS is already using the latest virus pattern file. Do you want to force an update?";
var i18n_au_confirm_msg3 = "IWSS is already using the latest Phish pattern. Do you want to force an update?";
var i18n_au_confirm_msg4 = "IWSS is already using the latest Spyware pattern. Do you want to force an update?";
var i18n_au_confirm_msg5 = "IWSS is already using the latest URL Filtering database. Do you want to force an update?";
var i18n_au_confirm_msg6 = "IWSS is already using the latest URL Filtering database engine. Do you want to force an update?";
var i18n_au_confirm_msg7 = "IWSS is already using the latest IntelliTunnel pattern. Do you want to force update?";
var i18n_au_confirm_msg8 = "IWSS is already using the latest IntelliTrap pattern. Do you want to force update?";
var i18n_au_confirm_msg9 = "IWSS is already using the latest IntelliTrap exception pattern. Do you want to force update?";

var i18n_au_db_rollback_msg1 = "Unable to rollback the database. This feature is not supported for the URL Filtering database.";
var i18n_au_db_rollback_msg2 = "Unable to rollback the database engine. This feature is not supported for the URL Filtering database engine.";

var i18n_au_schedule_msg1="every $tok_time Minutes";
var i18n_au_schedule_msg2="Hourly";
var i18n_au_schedule_msg3="$tok_time Daily";
var i18n_au_schedule_msg4="$tok_time $tok_weekday Weekly";
var i18n_au_schedule_msg5="Manual update only";
//Please don't translate next line
var i18n_au_week = new Array(7);
i18n_au_week[0]="Sunday";
i18n_au_week[1]="Monday";
i18n_au_week[2]="Tuesday";
i18n_au_week[3]="Wednesday";
i18n_au_week[4]="Thursday";
i18n_au_week[5]="Friday";
i18n_au_week[6]="Saturday";

//system_logsetting.jsp
var i18n_systemlog_msg1="Please specify a directory for HTTP Scan logs (double-byte not supported).";
var i18n_systemlog_msg2="Please specify a directory for FTP Scan logs (double-byte not supported).";
var i18n_systemlog_msg3="Please specify a directory for mail delivery logs (double-byte not supported).";
var i18n_systemlog_msg4="Please specify a directory for admin logs (double-byte not supported).";
var i18n_systemlog_msg5="Please specify a directory for Update logs (double-byte not supported).";
var i18n_systemlog_msg6="Please specify a Quarantine directory (double-byte not supported).";
var i18n_systemlog_msg7="Please specify the number of days that you want IWSS to archive logs.";
var i18n_systemlog_msg8="Please specify a directory for audit trail logs (double-byte not supported).";

//trustedurl.jsp
var i18n_trustedurl_msg1 = "The entry has been added to exception of trusted URL list.";
var i18n_trustedurl_msg2 = "The entry already exists in the exception list.";
var i18n_trustedurl_msg3 = "The entry has been added to trusted URL list.";
var i18n_trustedurl_msg4 = "The entry already exist in the trusted URL list.";

//update_proxy.jsp
var i18n_num_pattern_kept = "Please enter a positive integer for the number of pattern files to keep.";

//urlblocking.jsp
var i18n_urlblocking_msg1 = "The entry has been added to the block list.";
var i18n_urlblocking_msg2 = "The entry already exists in the block list.";
var i18n_urlblocking_msg3 = "The entry has been added to exception list.";
var i18n_urlblocking_msg4 = "The entry already exists in the exception list.";

//urlblocking_phish.jsp
var i18n_phish_msg1="Please enter the URL of the suspected phish site.";
var i18n_phish_msg2="Please enter the email address you want TrendLabs to use to contact you.";

//urlblogset.jsp
var i18n_blog_view_rule="Please select a URL blocking rule.";

//url_category_set.jsp
var i18n_urlfcategory_msg1 = "No category was selected. Please choose the category you want to move.";
var i18n_urlfcategory_msg2 = "No sub-category was selected. Please choose the sub-categories you want to move.";

//urlf_reclassifyurl.jsp
var i18n_reclassifyurl_msg1="Please enter the URL.";
var i18n_reclassifyurl_msg2="Please enter your email address.";

//urlf_time_set.jsp
var i18n_urlf_schedule_msg1="Please check the work time 1 work-hours schedule. One or more From: times appears to occur after the time specified for To:";
var i18n_urlf_schedule_msg2="Please check the work time 2 work-hours schedule. One or more From: times appears to occur after the time specified for To:";
var i18n_urlf_schedule_msg3="Please check the work-hours schedule. One or more From: times appears to occur after the time specified for To:";
//auditlogset.jsp
var i18n_auditlog_view_rule="Please choose one or more users from the list before clicking Add.";

//viruslogset.jsp
var i18n_viruslog_view_rule="Please choose one or more viruses from the list before clicking Add.";

//spywarelogset.jsp
var i18n_spywarelog_view_rule="Please choose one or more graywares from the list before clicking Add.";

//cleanuplogset.jsp
var i18n_cleanuplog_view_rule="Please choose one or more malwares from the list before clicking Add, or check the checkbox of \"Show connection failure events\".";
  
//urlf_approved_url.jsp
var i18n_urlf_dup_entry = "The entry already exists."

//install/uninstall greh driver.
var i18n_greh_install="WCCP Transparency mode requires that you install the \"GRE Handler Driver\" on the IWSS server. The driver must be installed locally. From the IWSS server, open a command prompt and type the following:  [path]/Utilbin/WCCP/install_greh.exe  -i.";
var i18n_greh_uninstall="After changing from WCCP Transparency mode, you should uninstall the \"GRE Handler Driver\" that was installed on the IWSS server. The driver must be removed locally. From the IWSS server, open a command prompt and type the following:  [path]/Utilbin/WCCP/install_greh.exe  -u";

//dcs_register.jsp
var i18n_dcs_server_duplication="The server you entered has been registered.";
var i18n_dcs_server = "Please enter the IP address or host name (double-byte not supported) of the target Damage Cleanup Services (DCS) server.";

//support.jsp
var i18n_support_dl_onlyone="Can only download one single core file at a time";
var i18n_support_cfm_delete="Are you sure you want to permanently delete selected files?";

//support_in_progress.jsp
var i18n_supportinprogress_cdt_running="Another CDT is running";

//mouseover online help
var tipIntelliscan = "IntelliScan optimizes performance by examining file headers using true file type recognition, and scanning only file types known to potentially harbor malicious code.<br>True file type recognition helps identify malicious code that can be disguised by a harmless extension name."
var tipThreatsOthers = "Files detected in this category may be legitimate tools or commercial products. However, some of these programs can be used with malicious intent or are unwanted applications depending on the network environment.";
var tipOversized = "Files larger than the set limit will be delivered to the client without being scanned."; 
var tipSpecialHandling = "If large-file scanning is enabled, the file size specified for deferred scanning must be smaller (typically, 50% or more) than the file size specified for large-file scanning."; 

var tipUncleanable = "Only files infected with a <br>virus can be cleaned. Other <br>Internet threats, such as <br>spyware and Trojans, are not <br>infected and thus are not <br>\"cleanable\".";

var tipModifiedHTTPheader = "Identify users (for reports, logs, and notifications) <br>by their MAC address and computer host name.";

var tipLDAPvendor = "Click this option to identify your LDAP <br>server and configure IWSS to use it.";

var tipSimple = "Choose Simple if your login credentials must be <br>sent to the LDAP server using cleartext.";

var tipAdvancedKerberos = "Choose Advanced if you use Kerberos authentication (Microsoft Active Directory, Linux OpenLDAP), or Digest-MD5 authentication (Sun Java System Directory Server) with your LDAP server.";

var tipBindNIC = "By default, IWSS binds to all Network Interface <br>Cards on the server. To have IWSS bind to one NIC <br>only, specify that IP address in the field below.";

var tipMaster = "Choose this option only if you are running <br>multiple IWSS servers together on the network <br>and you want to designate THIS server to be the <br>master. Only one master is permitted on the LAN.";

var tipDestructive = "Java applet actions capable of modifying <br>files on end-users computers.";

var tipNonDestructive = "Java applet actions capable of passive <br>access to files on end-users computers <br>(information gathering).";

var tipSendTo = "To change the recipient, click \"Notifications\" in the <br>main menu, and then \"Send notifications to...\" <br>in the upper right corner.";

var tipNoScanURLs = "URLs on this list will not be <br>filtered for content or scanned. <br>The following wildcards can be used: * ? ";

var tipURLexceptions = "URLs and subdomains on this list will <br>be filtered, even if the domain is included <br>in the Do Not Scan list. The following wildcards <br>can be used: * ? ";

var tipPhishCategories = "The Trend Micro \"Phish\" scans for <br>spyware, unsafe Web sites, and port hijacking.";

var tipDCSRedirect = "Choose this option to have IWSS redirect clients that could not be automatically repaired (by the DCS server) to the DCS ActiveX cleanup page for manual clean up.<br>Note: Redirect is not supported for Cisco CE ICAP clients.";

var tipSpywareOther = "Files detected in this category may be legitimate tools or commercial products. However, some of these programs can be used with malicious intent or are unwanted applications depending on the network environment.";

var tipFullTransparentMode = "When in Fully Transparent Proxy Mode, the client's IP address is unchanged when accessing the Internet through the appliance. Routers, firewalls, and other network devices will see the IP address of the client. Fully Transparent Proxy Mode uses complex IP rendering logic that may result in a slight decrease in performance.";

var tipTransparentProxyMode = "When in Transparent Proxy Mode, InterScan Web Security Suite changes the client's IP address to that of its own. Routers, firewalls, and other network devices will not see the IP address of the client. Transparent Proxy Mode is suitable for networks with no internal access firewall rules." ;

var tipXVirusID = "Choose this option if your ICAP client is configured to support the \'X-Virus-ID\' ICAP response (one line of text) to describe detected threats.";

var tipXInfection = "Choose this option if your ICAP client is configured to support the more verbose \'X-Infection-Found\' ICAP response, which includes threat type, action taken, and a multi-line description." ;

var tipqueryldap = "Search using the user or group's Common Name (CN), for example \"John\" \"John*\" \"John Doe\"";
//TMCM tooltip
var tiptmcm_connection_entity = "The entity name appears in the Control Manager product tree, helping you to identify the product..";
var tiptmcm_webserver_username = "This information is used by the IIS server for authentication. This information is not used by Contol Manager.";
var tiptmcm_proxyserver_username = "Please enter proxy server username.";
var tiptmcm_comm_port = "Two-way communication provides a real-time connection between the managed product and Control Manager.";
// tmcm_agent_settings.jsp
var i18n_display_name_msg = "Please enter valid display name.";
var i18n_server_fqdn_msg = "Please enter valid Server FQDN or IP address.";
var i18n_ipaddress_msg = "The TMCM server sends commands using its hostname. Please be sure IWSS can resolve the TMCM server hostname. Do you want to proceed?";
var i18n_portnumber_msg = "Please enter valid port number(1 to 65535).";
var i18n_webuser_name_msg = "Web user name should be between 4 and 32 alphanumeric characters.";
var i18n_webuser_password_msg = "Password should be between 4 and 32 alphanumeric characters.";
var i18n_proxy_server_msg = "Please enter valid Proxy Server.";
var i18n_proxy_port_msg = "Please enter valid port number(1 to 65535).";
var i18n_proxy_user_name_msg = "Proxy user name should be between 4 and 32 alphanumeric characters.";
var i18n_proxy_password_msg = "Proxy uassword should be between 4 and 32 alphanumeric characters.";
var i18n_forwardip_msg = "Please enter valid forward IP.";
var i18n_forward_port_number_msg = "Please enter valid port number(1 to 65535).";

//iwss_config_snmp.jsp
var i18n_trap_destination_msg = "Please enter valid trap_destination.";
var i18n_trap_dest_portnumber_msg = "Please enter valid port number(1 to 65535)";
var i18n_communityname_msg = "Please enter valid communityname.";
var i18n_defaultcommunity_msg = "Please enter valid defaultcommunity.";
var i18n_system_location_msg = "Please enter valid system_location.";
var i18n_system_contact_msg = "Please enter valid system_contact.";
var i18n_readonly_defaultcommunity_msg = "Please enter valid Read-Only Default Community.";
var i18n_readonly_host_name_msg = "Please enter valid Read-Only Host Name.";
var i18n_readonly_object_identifier_msg = "Please enter valid Read-Only OID.";

// ftp_config_proxy.jsp
var tip_ftp_active_mode = "Use client data connection mode (Data channel mode is based on the client).";