﻿<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 05/08/2007                                        -->
<!--Description:  Add IM/P2P                                -->
<!--File:iwss_config_database.jsp                           -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    
    
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="javascript" src="html/func.js"></script>
<script language="javascript" src="html/i18n_warnmsg.js"></script>
<script language="Javascript">
function checkfields()
{
    document.saveform.Database__DSN.value = Trim(document.saveform.Database__DSN.value);
    document.saveform.Database__User.value = Trim(document.saveform.Database__User.value);
    document.saveform.Database__Password.value = Trim(document.saveform.Database__Password.value);

    if(document.saveform.Database__DSN.value=="" || ISDBCS(document.saveform.Database__DSN.value))
    {
            alert(i18n_db_dsn);
            document.saveform.Database__DSN.focus();
            return false;
    }

    if(ISDBCS(document.saveform.Database__User.value))
    {
            alert(i18n_db_username);
            document.saveform.Database__User.focus();
            return false;
    }

    if(ISDBCS(document.saveform.Database__Password.value))
    {
            alert(i18n_db_password);
            document.saveform.Database__Password.focus();
            return false;
    }
    return true;
}

function doSubmit()
{
    if(!checkfields()) return;

    document.saveform.urlfttl.value = Trim(document.saveform.urlfttl.value);
    document.saveform.accessttl.value = Trim(document.saveform.accessttl.value);
    document.saveform.scanttl.value = Trim(document.saveform.scanttl.value);
    document.saveform.mmcttl.value = Trim(document.saveform.mmcttl.value);
	document.saveform.imp2pttl.value = Trim(document.saveform.imp2pttl.value);
    if(!CheckIntegerS(document.saveform.urlfttl.value,0)){
        alert(i18n_urlf_ttl);
        document.saveform.urlfttl.focus();
        return;
    }
    
    if(!CheckIntegerS(document.saveform.accessttl.value,0)){
        alert(i18n_accessquota_ttl);
        document.saveform.accessttl.focus();
        return;
    }

    if(!CheckIntegerS(document.saveform.scanttl.value,0)){
        alert(i18n_virusscan_ttl);
        document.saveform.scanttl.focus();
        return;
    }
    
    if(!CheckIntegerS(document.saveform.mmcttl.value,0)){
        alert(i18n_mmc_ttl);
        document.saveform.mmcttl.focus();
        return;
    }
    if(!CheckIntegerS(document.saveform.imp2pttl.value,0)){
        alert(i18n_imp2p_ttl);
        document.saveform.imp2pttl.focus();
        return;
    }
    document.saveform.action = "iwss_config_database.jsp";
    document.saveform.daemonaction.value = httpreloadplus+ftpreloadplus+logtodbrestart;
    document.saveform.op.value="save";
    setTimeout( "document.saveform.submit()", 100 );
}

function doSettingTest()
{
    if(!checkfields()) return;
    document.saveform.action = "iwss_config_database.jsp";
    document.saveform.op.value="test";
    setTimeout( "document.saveform.submit()", 100 );
}

function showtest(msgtype)
{
    if(msgtype==1)
    {
        alert(i18n_dbconnect_success);
        EnableSaveButton();
    }else if(msgtype==0){
        alert(document.saveform.testresult.value);
    }
}

</script>

</head>

<%
    int msgtype = -1;
    String DSN=null,User=null,Password=null,EncryptPassword=null,jdbcurl=null,jdbcdriver=null;
    String urlfttl=null,accessttl=null,scanttl=null,mmcttl=null,imp2pttl=null;

    String msgcontent="";
    if(request.getParameter("op")!=null && (request.getParameter("op").compareToIgnoreCase("test")==0
            || request.getParameter("op").compareToIgnoreCase("save")==0))
    {
        DSN = request.getParameter("Database__DSN");
		//out.println("DSN=" + DSN + "<BR>");
        jdbcurl = request.getParameter("Database__JdbcUrl");
		//out.println("jdbcurl=" + jdbcurl + "<BR>");
        jdbcdriver = request.getParameter("Database__JdbcDriver");
		//out.println("jdbcdriver=" + jdbcdriver + "<BR>");
        User = request.getParameter("Database__User");
		//out.println("User=" + User + "<BR>");
        EncryptPassword = IWSSUtil.MyReplace(request.getParameter("Database__Password"),"&quot;","\"");
		//out.println("Password=" + Password + "<BR>");
        urlfttl = request.getParameter("urlfttl");
        accessttl = request.getParameter("accessttl");
        scanttl = request.getParameter("scanttl");
        mmcttl = request.getParameter("mmcttl");
	    imp2pttl = request.getParameter("imp2pttl");			    
//jiethis will make Tomcat crash if db is down
        Password=IWSSJNI.DecryptPasswd(EncryptPassword);
       JdbcHelper helper = new JdbcHelper( "ODBC bridge", DSN, null, null, null, User, Password );
//jie        try{
//jie            helper.testJdbcConnection();
//jie            msgtype = 1;            
//jie        }
//jie	catch( Exception e ){
//jie            //e.printStackTrace();
//jie            msgcontent=e.toString();
//jie            IWSSUtil.UI_out_println(e.toString());
 //jie           msgtype = 0;
//jie	}


		//use system call to testdb
		IWSSXML dbxml = IWSSUtil.CheckDatabase(2,DSN,User,Password);
		if(dbxml==null){
			msgcontent= "Generic Error";
			msgtype = 0;
		}else{
			if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")==0)
			{
				msgtype = 1;
			}else{
				msgcontent= dbxml.GetKeyValue("connectdb","error_msg");
				msgtype = 0;
			}
		}
		
        if(msgtype==1 && request.getParameter("op").compareToIgnoreCase("save")==0){
                msgtype=-1;
                IWSSINI pini=null;
                 pini = new IWSSINI(request);
                //for saving password
                if(pini.GetKeyValue("Database","Password")!=null )
                {
                    String oldpassword = pini.GetKeyValue("Database","Password");
                    //pini.SetKeyValue("Database","Password", IWSSJNI.EncryptPasswd(oldpassword));
                    pini.SetKeyValue("Database","Password", oldpassword);
                }

                //IWSSUtil.UI_out_println(": "+helper.getUrl()+" : "+helper.getDriver());
                pini.SetKeyValue("Database", "JdbcUrl", helper.getUrl());
                pini.SetKeyValue("Database", "JdbcDriver", helper.getDriver());
                pini.WriteConfig(IWSSInfo.GetWorkPath()+"intscan.ini");
                helper.resetJdbcConnection();
                IWSSUtil.WriteCMConfigChangeEvent();
                //System.out.println("***:"+pini.GetKeyValue("Database","JdbcUrl")+" : "+pini.GetKeyValue("Database","JdbcDriver"));
                PolicyManager.setTimeToLive((new UrlFilterSet()), Integer.parseInt(urlfttl), request);
                PolicyManager.setTimeToLive((new QuotaRule()), Integer.parseInt(accessttl), request);
                PolicyManager.setTimeToLive((new HTTPScanRule()), Integer.parseInt(scanttl), request);
                PolicyManager.setTimeToLive((new MMCRule()), Integer.parseInt(mmcttl), request);
				PolicyManager.setTimeToLive((new IMP2PRule()), Integer.parseInt(imp2pttl), request);
                //take deamon action
                int daemon_action = 0;
                if(request.getParameter("daemonaction")!=null)
                {
                    daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                    if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
                }
        }
    }else{
        DSN = IWSSInfo.GetKeyValue("Database","DSN");
        jdbcurl = IWSSInfo.GetKeyValue("Database","JdbcUrl");
        jdbcdriver = IWSSInfo.GetKeyValue("Database","JdbcDriver");
        User = IWSSInfo.GetKeyValue("Database","User");
        if(IWSSInfo.GetKeyValue("Database","Password")!=null){ 
            EncryptPassword = IWSSInfo.GetKeyValue("Database","Password");
            Password = IWSSJNI.DecryptPasswd(EncryptPassword);
        }else {
            EncryptPassword = "";
            Password="";
        }
        
        //check database is live, or it will make tomcat crash.
		IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");
		if(dbxml==null){
				urlfttl = "-1";
				accessttl = "-1";
				scanttl = "-1";
				mmcttl = "-1";
				imp2pttl ="-1";
		}else{
			if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")==0)
			{ 
				urlfttl = Integer.toString(PolicyManager.getTimeToLive(  new UrlFilterSet() ));
				accessttl = Integer.toString(PolicyManager.getTimeToLive( new QuotaRule() ));
                                scanttl = Integer.toString(PolicyManager.getTimeToLive(  new HTTPScanRule() ));
				mmcttl = Integer.toString(PolicyManager.getTimeToLive( new MMCRule() ));
				imp2pttl = Integer.toString(PolicyManager.getTimeToLive( new IMP2PRule() ));
			}else{
				urlfttl = "-1";
				accessttl = "-1";
				scanttl = "-1";
				mmcttl = "-1";
				imp2pttl ="-1";
			}
		}	
    }
%>

<body onLoad="javascript:showtest(<%=msgtype%>);" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)">
pop up description layer
</div>
<FORM ACTION="iwss_config_database.jsp" METHOD=POST NAME=saveform>
<input type=hidden name="op" value="save">
<input type="hidden" name="fromurl" value="/iwss_config_database.jsp">
<input type=hidden name="daemonaction" value="0">
<input type=hidden name="testresult" value="<%=msgcontent%>">

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="94%" class="content-title">Database Setting</td>
    <td width="6%" valign="bottom"> <div align="right">
    <A href="javascript:openhelpwin('iwss_config_database.htm');"> <img src="images/question.gif" width="18" height="18" border="0"></a></div></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="10" valign="middle" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="10"></td>
  </tr>
  <tr> 
    <td height="10"><img src="images/1space.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <TR> 
      <TD id=main-content vAlign=top width="100%">
          <table width="540" border="0" cellpadding="0" cellspacing="0">
            <tr> 
              <td colspan="2" class="border"><table width="538" border="0" cellspacing="0" cellpadding="0">
                  <TR> 
                    <TD height="22" colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                        <tr> 
                          <td height="22" class="tableheadergrey">Database Connection Settings</td>
                        </tr>
                      </table></TD>
                  </TR>
                  <tr> 
                    <td style="padding:5px"> <table width="100%" cellpadding="0" cellspacing="0">
                        <tr> 
                          <td width="162" class="data1">ODBC data source name:</td>
                          <td width="354" colspan="2" class="data1"><%=IWSSUtil.MyReplace(DSN,"\"","&quot;")%> 
                            <!--<input name="Database__DSN" type="text" class="button" 
                                value="<%=IWSSUtil.MyReplace(DSN,"\"","&quot;")%>" size="60" maxlength="128"  readonly onKeyUp="EnableSaveButton();">-->
                            <input name="Database__DSN" type="hidden" value="<%=IWSSUtil.MyReplace(DSN,"\"","&quot;")%>">
							<input name="Database__JdbcUrl" type="hidden" value="<%=jdbcurl%>">
                            <input name="Database__JdbcDriver" type="hidden" value="<%=jdbcdriver%>">
                            </td>
                        </tr>
                        <tr> 
                          <td width="162" class="data1">User name:</td>
                          <td width="354" colspan="2" class="data1"><%=IWSSUtil.MyReplace(User,"\"","&quot;")%> 
                            <!--<input name="Database__User" type="text" class="button" 
                                    value="<%=IWSSUtil.MyReplace(User,"\"","&quot;")%>" size="60" maxlength="128" readonly  onKeyUp="EnableSaveButton();">-->
                            <input name="Database__User" type="hidden"" value="<%=IWSSUtil.MyReplace(User,"\"","&quot;")%>" >
						</td>
                        </tr>
                        <tr> 
                          <td width="162" class="data1">Password:</td>
                          <td width="354" colspan="2" class="data1">***** 
                             <input name="Database__Password" type="hidden" value="<%=IWSSUtil.MyReplace(EncryptPassword,"\"","&quot;")%>" >
                        </td>
                        </tr>
                        <tr> 
                          <td width="162" class="data1">&nbsp;</td>
                          <td width="354" colspan="2" class="data1"> 
<%=AccessLevel.BUTTON(request, response, "testbutton", "Button", "doSettingTest();", "Test Database Connection", "")%> 
                        </td>
                        </tr>
                      </table></td>
                  </tr>
                        <TR> 
                          <TD height="22" colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                              <tr>   
                              <td height="22" class="tableheadergrey">Policy Deployment Settings (in minutes)</td>
                              </tr>
                       <tr> 
                          <td  colspan="2" class="data1">Below, you can specify when IWSS automatically deploys new or modified policies.</td>
                      </tr>
                            </table></TD>
                        </TR>
                 <tr> 
                    <td style="padding:5px"> <table width="100%" cellpadding="0" cellspacing="0">
<%if(IWSSInfo.ISHTTP() && IWSSInfo.ISScan()){%>
                        <tr> 
                          <td width="162" class="data1">Virus scan policy:</td>
                          <td width="354" colspan="2" class="data1"> <input name="scanttl" type="text" class="button" value="<%=scanttl%>" size="5" maxlength="5" onKeyUp="EnableSaveButton();"></td>
                        </tr>
<%}%>
<%if(IWSSInfo.ISHTTP() && IWSSInfo.ISMMC()){%>
                        <tr> 
                          <td width="162" class="data1">Applet and ActiveX policy:</td>
                          <td width="354" colspan="2" class="data1"> <input name="mmcttl" type="text" class="button" value="<%=mmcttl%>" size="5" maxlength="5" onKeyUp="EnableSaveButton();"></td>
                        </tr>
<%}%>
<!--------------------------------------------------------------------------------------->
<%if(IWSSInfo.ISHTTP() && IWSSInfo.ISIMP2P()){%>
                        <tr> 
                          <td width="162" class="data1">IntelliTunnel policy:</td>
                          <td width="354" colspan="2" class="data1"> <input name="imp2pttl" type="text" class="button" value="<%=imp2pttl%>" size="5" maxlength="5" onKeyUp="EnableSaveButton();"></td>
                        </tr>
<%}%>
<!--------------------------------------------------------------------------------------->
<%if(IWSSInfo.ISHTTP() && IWSSInfo.ISURL()){%>
                        <tr> 
                          <td width="162" class="data1">URL filtering policy:</td>
                          <td width="354" colspan="2" class="data1"> <input name="urlfttl" type="text" class="button" value="<%=urlfttl%>" size="5" maxlength="5" onKeyUp="EnableSaveButton();"></td>
                        </tr>
<%}%>
<%if(IWSSInfo.ISHTTP()){%>
                        <tr> 
                          <td width="162" class="data1">Access quota policy:</td>
                          <td width="354" colspan="2" class="data1"> <input name="accessttl" type="text" class="button" value="<%=accessttl%>" size="5" maxlength="5" onKeyUp="EnableSaveButton();"></td>
                        </tr>
<%}%>

                        <tr> 
                          <td colspan=2 height=1 colspan="2">&nbsp;
<%if(!IWSSInfo.ISHTTP() || !IWSSInfo.ISScan()){%>
            <input name="scanttl" type="hidden" value="30">
<%}%>
<%if(!IWSSInfo.ISHTTP() || !IWSSInfo.ISMMC()){%>
            <input name="mmcttl" type="hidden" value="30">
<%}%>
<%if(!IWSSInfo.ISHTTP() || !IWSSInfo.ISIMP2P()){%>
            <input name="imp2pttl" type="hidden" value="30">
<%}%>
<%if(!IWSSInfo.ISHTTP() || !IWSSInfo.ISURL()){%>
            <input name="urlfttl" type="hidden" value="30">
<%}%>
<%if(!IWSSInfo.ISHTTP()){%>
            <input name="accessttl" type="hidden" value="30">
<%}%>
                </td>
                        </tr>
                      </table></td>
                  </tr>
                </table></td>
            </tr>
          </table>
 
    </TR>
  </TBODY>
</TABLE>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="128" height="28" valign="bottom" > 
<%=AccessLevel.BUTTON(request, response, "save", "button", "javascript:doSubmit();", "Save", "width:55px", "disabled")%>
      <input name="cancel" type="button"  onclick="javascript:self.location.replace('iwss_config_database.jsp')" class="button" value="Cancel" style="width:55px"> 
    </td>
    <td width="412" height="28" valign="bottom" > 
      
    </td>
  </tr>
</table>
</form>
</body>
</html>
