SELECT u.username as username, count(u.url) as unblock
into LOCAL TEMPORARY table tmpaccesstab
FROM tb_url_usage u
Where u.date_field <= to_timestamp('%s','YYYY-MM-DD HH:MI:SS')
AND u.date_field >= to_timestamp('%s','YYYY-MM-DD HH:MI:SS')
AND lower(u.username) != 'unknown'
AND u.username != ''
AND (position(lower(u.protocol) in '%s') > 0 OR lower(u.protocol) = '%s')
AND u.uid not IN (SELECT uid from tb_violation Where date_field  < to_timestamp('%s','YYYY-MM-DD HH:MI:SS') AND date_field >= to_timestamp('%s','YYYY-MM-DD HH:MI:SS'))
GROUP BY u.username
ORDER BY COUNT(u.url) DESC
