SELECT u.mime_content as mime, count(u.url) as unblock_hits, cast(SUM(u.size/1000000.0) as int) as size
into LOCAL TEMPORARY table tmpaccesstab
FROM tb_url_usage u
WHERE u.date_field < to_timestamp('%s','YYYY-MM-DD HH:MI:SS')
AND u.date_field >= to_timestamp('%s','YYYY-MM-DD HH:MI:SS') 
AND u.mime_content!=''
AND (position(lower(u.protocol) in '%s') > 0 OR lower(u.protocol) = '%s')
AND u.uid not IN (SELECT uid from tb_violation Where date_field  < to_timestamp('%s','YYYY-MM-DD HH:MI:SS') AND date_field >= to_timestamp('%s','YYYY-MM-DD HH:MI:SS'))
GROUP BY u.mime_content
ORDER BY COUNT(u.url) DESC;
