﻿<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
 
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script id="TMCUBE_COMMON_JAVASCRIPT_FILE" language="JavaScript" Src="html/TmCube_Common.js"> </script>
<script language="javascript" src="html/func.js"></script>
<SCRIPT language=javascript src="html/activation.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
</head>
<%@ include file="productname.txt" %>
<%
    String return_msg=null;
    String errormsg = null,errorno=null;
    IWSSXML retxml = null;
    //licensetype: 1: main  2: urlf   3: mmc
    int licensetype = 1;

    int daemon_action = 0;
    if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("main")==0)
    {
        return_msg = IWSSJNI.OnlineUpdateProduct("IWSS");
        retxml = new IWSSXML(return_msg);
        errormsg = retxml.GetKeyValue("IWSSUI","error_msg");
        errorno = retxml.GetKeyValue("IWSSUI","error_no");
        //restart both ftp(4)and http(1)
        if(errorno!=null && errorno.compareToIgnoreCase("1")==0) daemon_action = 1+4;
    }else if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("urlf")==0)
    {
        return_msg = IWSSJNI.OnlineUpdateProduct("URLF");
        retxml = new IWSSXML(return_msg);
        errormsg = retxml.GetKeyValue("IWSSUI","error_msg");
        errorno = retxml.GetKeyValue("IWSSUI","error_no");
        //restart http(1)
        if(errorno!=null && errorno.compareToIgnoreCase("1")==0) daemon_action =  1;
        licensetype = 2;
    }else if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("mmc")==0)
    {
        return_msg = IWSSJNI.OnlineUpdateProduct("MMC");
        retxml = new IWSSXML(return_msg);
        errormsg = retxml.GetKeyValue("IWSSUI","error_msg");
        errorno = retxml.GetKeyValue("IWSSUI","error_no");
        //restart http(1)
        if(errorno!=null && errorno.compareToIgnoreCase("1")==0) daemon_action =  1;
        licensetype = 3;
    }else if(request.getQueryString()!=null && request.getQueryString().compareToIgnoreCase("iwss_act")==0){
        errormsg = request.getParameter("returnmsg");
        //restart both ftp(4)and http(1)
        daemon_action = 1+4;
    }else if(request.getQueryString()!=null && request.getQueryString().compareToIgnoreCase("urlf_act")==0){
        errormsg = request.getParameter("returnmsg");
        licensetype =2;
        //restart http(1)
        daemon_action = 1;
    }else if(request.getQueryString()!=null && request.getQueryString().compareToIgnoreCase("mmc_act")==0){
        errormsg = request.getParameter("returnmsg");
        licensetype =3;
        //restart http(1)
        daemon_action = 1;
    }

    //refresh the daemon if license got updated or activated
    if(daemon_action!=0)
    {
        DaemonAction.TakeAction(daemon_action);
    }

    IWSSPR mainpr = new IWSSPR((new String("IWSS")));
    IWSSPR urlfpr = new IWSSPR((new String("URLF")));
    IWSSPR mmcpr = new IWSSPR((new String("MMC")));

    int main_statuscode=0,urlf_statuscode=0,mmc_statuscode=0;
%>
<body onload="TmCube_Nav_update(window.parent.left, 'License');" onunload="javascript:cleanup_progress();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form name="saveform" method=post action="productlicense.jsp">
<input type=hidden name="op" value="">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tbody>
    <tr> 
      <td class="content-title">Product License<br></td>
      <td valign="bottom"> <div align="right"><A href="javascript:openhelpwin('productlicense.htm');"> <img src="images/question.gif" width="18" height="18" border="0"></a></div></td>
    </tr>
     <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="1"></td>
    </tr>
     <tr> 
      <td height="10" colspan="2" class="data1">To receive your Activation Code, enter your Registration Key at the <a href="<%=mainpr.GetPRServerUrl()%>" target="_blank">Trend Micro Product Registration Server</a>.</td>
    </tr>
    <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="1"></td>
    </tr>
<%if(errormsg!=null){%>
     <tr> 
<%if(licensetype==2){%>
      <td height="10" colspan="2" class="textbold">[<%=product_name%> - URL Filtering] <%=errormsg%></td>
<%}else if(licensetype==3){%>
      <td height="10" colspan="2" class="textbold">[<%=product_name%> - Malicious Mobile Code] <%=errormsg%></td>
<%}else{%>
      <td height="10" colspan="2" class="textbold">[<%=product_name%>] <%=errormsg%></td>
<%}%>
    </tr>
     <tr> 
      <td height="10" colspan="2" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="1"></td>
    </tr>
<%}%>

<%
    String main_icon_name;
    main_statuscode = mainpr.GetStatusCode();
    if(main_statuscode==LicenseStatus.NOTACTIVE || main_statuscode==LicenseStatus.FULLEXPIRED || main_statuscode==LicenseStatus.TRIALEXPIRED)
        main_icon_name = new String("icons_expired.gif");
    else if(main_statuscode==LicenseStatus.FULLREMIND || main_statuscode==LicenseStatus.FULLGRACE ||main_statuscode==LicenseStatus.TRIALREMIND)
        main_icon_name = new String("icons_warning.gif");
    else    
        main_icon_name = new String("icons_valid.gif");
%>
    <tr> 
      <td height="10" colspan="2"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td width="35"><img src="images/<%=main_icon_name%>" align="absmiddle"></td>
            <td width="94%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td class="textbold"> <table width="100%" border="0" cellspacing="0">
                      <tr> 
                        <td class="textbold" width=355>[<%=product_name%>] <%=mainpr.GetStatusInfo()%></td>
                        <td><div align="right">

<%if(main_statuscode==LicenseStatus.FULLNORMAL || main_statuscode==LicenseStatus.FULLEXPIRED || main_statuscode==LicenseStatus.FULLGRACE || main_statuscode==LicenseStatus.FULLREMIND){%>
                    <a href="javascript:OpenInstruction('renew_instruction.jsp?main');">View renewal instructions</a>
<%}else if(main_statuscode==LicenseStatus.TRIALNORMAL || main_statuscode==LicenseStatus.TRIALEXPIRED || main_statuscode==LicenseStatus.TRIALREMIND){%>
                    <a href="javascript:OpenInstruction('upgrade_instruction.jsp?main');">View license upgrade instructions</a>
<%}%></div></td>
                      </tr>
                    </table>
                    <div align="right"><font class="prmodule"></font></div></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td height="10" colspan="2" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="1"></td>
          </tr>

<%if(IWSSInfo.ISURL()){%>
<%
    String urlf_icon_name;
    urlf_statuscode = urlfpr.GetStatusCode();
    if(urlf_statuscode==LicenseStatus.NOTACTIVE || urlf_statuscode==LicenseStatus.FULLEXPIRED || urlf_statuscode==LicenseStatus.TRIALEXPIRED)
        urlf_icon_name = new String("icons_expired.gif");
    else if(urlf_statuscode==LicenseStatus.FULLREMIND || urlf_statuscode==LicenseStatus.FULLGRACE ||urlf_statuscode==LicenseStatus.TRIALREMIND)
        urlf_icon_name = new String("icons_warning.gif");
    else    
        urlf_icon_name = new String("icons_valid.gif");
%>
          <tr> 
            <td width="35"><img src="images/<%=urlf_icon_name%>" align="absmiddle"></td>
            <td width="94%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td class="textbold"><div align="right"> 
                      <table width="100%" border="0" cellspacing="0">
                        <tr> 
                          <td class="textbold" width=355>[<%=product_name%> - URL Filtering] <%=urlfpr.GetStatusInfo()%></td>
                          <td><div align="right">
<%if(urlf_statuscode==LicenseStatus.FULLNORMAL || urlf_statuscode==LicenseStatus.FULLEXPIRED || urlf_statuscode==LicenseStatus.FULLGRACE ||urlf_statuscode==LicenseStatus.FULLREMIND){%>
                    <a href="javascript:OpenInstruction('renew_instruction.jsp?urlf');">View renewal instructions</a>
<%}else if (urlf_statuscode==LicenseStatus.TRIALNORMAL || urlf_statuscode==LicenseStatus.TRIALEXPIRED || urlf_statuscode==LicenseStatus.TRIALREMIND){%>
                    <a href="javascript:OpenInstruction('upgrade_instruction.jsp?urlf');">View license upgrade instructions</a>
<%}%></div></td>
                        </tr>
                      </table>
                    </div></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td height="10" colspan="2" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="1"></td>
          </tr>
<%}%>

<%if(IWSSInfo.ISMMC()){%>
<%
    String mmc_icon_name;
    mmc_statuscode = mmcpr.GetStatusCode();
    if(mmc_statuscode==LicenseStatus.NOTACTIVE || mmc_statuscode==LicenseStatus.FULLEXPIRED || mmc_statuscode==LicenseStatus.TRIALEXPIRED)
        mmc_icon_name = new String("icons_expired.gif");
    else if(mmc_statuscode==LicenseStatus.FULLREMIND || mmc_statuscode==LicenseStatus.FULLGRACE ||mmc_statuscode==LicenseStatus.TRIALREMIND)
        mmc_icon_name = new String("icons_warning.gif");
    else    
        mmc_icon_name = new String("icons_valid.gif");
%>
          <tr> 
            <td width="35"><img src="images/<%=mmc_icon_name%>" align="absmiddle"></td>
            <td width="94%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td class="textbold"><div align="right"> 
                      <table width="100%" border="0" cellspacing="0">
                        <tr> 
                          <td class="textbold" width=355>[<%=product_name%> - Malicious Mobile Code] <%=mmcpr.GetStatusInfo()%></td>
                          <td><div align="right">
<%if(mmc_statuscode==LicenseStatus.FULLNORMAL || mmc_statuscode==LicenseStatus.FULLEXPIRED || mmc_statuscode==LicenseStatus.FULLGRACE ||mmc_statuscode==LicenseStatus.FULLREMIND){%>
                    <a href="javascript:OpenInstruction('renew_instruction.jsp?mmc');">View renewal instructions</a>
<%}else if (mmc_statuscode==LicenseStatus.TRIALNORMAL || mmc_statuscode==LicenseStatus.TRIALEXPIRED || mmc_statuscode==LicenseStatus.TRIALREMIND){%>
                    <a href="javascript:OpenInstruction('upgrade_instruction.jsp?mmc');">View license upgrade instructions</a>
<%}%></div></td>
                        </tr>
                      </table>
                    </div></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td height="10" colspan="2" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="1"></td>
          </tr>
<%}%>

          <tr>
            <td height="10" colspan="2"><img src="images/1space.gif" width="1" height="10"></td>
          </tr>
        </table></td>
    </tr>
  </tbody>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td><table width="540" cellpadding="0" cellspacing="0" class="border">
              <tr> 
                <td height="22" colspan="2" class="tableheadergrey"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr> 
                      <td class="tableheadergrey3">License Information</td>
                      <td><div align="right">
<%if(main_statuscode!=LicenseStatus.NOTACTIVE){%>
            <a href="<%=mainpr.GetDetailInfoUrl()%>" target="_blank">View detailed license online</a>
<%}%>
                        &nbsp;</div></td>
                    </tr>
                  </table></td>
              </tr>
              <tr> 
                <td width="143" height="22" class="data1">Product:</td>
                <td width="395" height="22" class="data1">InterScan Web Security<%=appliance_name%></td>
              </tr>
              <tr> 
                <td width="143" height="22" class="data1">Version:</td>
                <td width="395" height="22" class="data1"><%=mainpr.GetVersion()%></td>
              </tr>
              <tr> 
                <td width="143" height="22" class="data1"> Activation code: </td>
                <td width="395" height="22"> 
                  <table width="100%" border="0" cellspacing="0">
                    <tr> 
                      <td class="data1"><%=mainpr.GetActivationCode()%></td>
                      <td align="right" class="data1"><font class="prmodule"><a href="license_activate.jsp">Enter 
                          a new code </a></font></td>
                    </tr>
                  </table></td>
              </tr>
              <tr> 
                <td width="143" height="22" class="data1"> Seats:</td>
                <td width="395" height="22" class="data1"><font class="prmodule"><%=mainpr.GetSeats()%></font></td>
              </tr>
              <tr> 
                <td width="143" height="22" class="data1"><font class="prmodule">Status:&nbsp;</font></td>
                <td width="395" height="22" class="data1"><font class="prmodule"><%=mainpr.GetStatus()%></font></td>
              </tr>
              <tr> 
                <td width="143" height="22" class="data1"> Maintenance expiration:</td>
                <td width="395" height="22" class="data1"><font class="prmodule"><%=mainpr.GetExpirationDate()%></font></td>
              </tr>
<%if(main_statuscode==LicenseStatus.FULLNORMAL || main_statuscode==LicenseStatus.FULLEXPIRED || main_statuscode==LicenseStatus.FULLREMIND|| main_statuscode==LicenseStatus.FULLGRACE){%>		
              <tr> 
                <td height="22" colspan="2" class="data1"> <div align="right"> 
<%=AccessLevel.BUTTON(request, response, "checkstatus_main", "Button", "check_status_online('main');", "Check Status Online", "")%> 
                    </div></td>
              </tr>
              <tr> 
                <td height="22" colspan="2" class="data1"> <div align="right">Last 
                    Status Check on <%=mainpr.GetLastCheckTime()%></div></td>
              </tr>
<%}%>
            </table> </td>
        </tr>
        <tr> 
          <td height="10">&nbsp;</td>
        </tr>

<%if(IWSSInfo.ISURL()){%>
        <tr> 
          <td><table width="540" cellpadding="0" cellspacing="0" class="border">
              <tr> 
                <td height="22" colspan="2" class="tableheadergrey"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr> 
                      <td class="tableheadergrey3">License Information</td>
                      <td><div align="right">
<%if(urlf_statuscode!=LicenseStatus.NOTACTIVE){%>
<a href="<%=urlfpr.GetDetailInfoUrl()%>" target="_blank">View detailed license online</a>
<%}%>
&nbsp;</div></td>
                    </tr>
                  </table></td>
              </tr>
              <tr> 
                <td width="143" height="22" class="data1">Product:</td>
                <td width="395" height="22" class="data1">InterScan Web Security<%=appliance_name%> - URL Filtering</td>
              </tr>
              <tr> 
                <td height="22" class="data1">Version:</td>
                <td width="395" height="22" class="data1"><%=urlfpr.GetVersion()%></td>
              </tr>
              <tr> 
                <td height="22" class="data1"> Activation code: </td>
                <td width="395" height="22"> <table width="100%" border="0" cellspacing="0">
                    <tr> 
                      <td class="data1"><%=urlfpr.GetActivationCode()%></td>
                      <td align="right" class="data1"><font class="prmodule"><a href="license_activate.jsp?urlfilter">Enter 
                          a new code </a></font></td>
                    </tr>
                  </table></td>
              </tr>
              <tr> 
                <td height="22" class="data1"> Seats:</td>
                <td height="22" class="data1"><%=urlfpr.GetSeats()%></td>
              </tr>
              <tr> 
                <td height="22" class="data1"><font class="prmodule">Status:&nbsp;</font></td>
                <td height="22" class="data1"><font class="prmodule"><%=urlfpr.GetStatus()%></font></td>
              </tr>
              <tr> 
                <td height="22" class="data1"> Maintenance expiration:</td>
                <td height="22" class="data1"><font class="prmodule"><%=urlfpr.GetExpirationDate()%></font></td>
              </tr>
<%if(urlf_statuscode==LicenseStatus.FULLNORMAL || urlf_statuscode==LicenseStatus.FULLEXPIRED || urlf_statuscode==LicenseStatus.FULLREMIND|| urlf_statuscode==LicenseStatus.FULLGRACE){%>
              <tr> 
                <td height="22" colspan="2" class="data1"> <div align="right"> 
<%=AccessLevel.BUTTON(request, response, "checkstatus_main", "Button", "check_status_online('urlf');", "Check Status Online", "")%> 
                    </div></td>
              </tr>
              <tr> 
                <td height="22" colspan="2" class="data1"> <div align="right">Last 
                    Status Check on <%=urlfpr.GetLastCheckTime()%></div></td>
              </tr>
<%}%>
            </table></td>
        </tr>
        <tr> 
          <td height="10">&nbsp;</td>
        </tr>
<%}%>

<%if(IWSSInfo.ISMMC()){%>
        <tr> 
          <td><table width="540" cellpadding="0" cellspacing="0" class="border">
              <tr> 
                <td height="22" colspan="2" class="tableheadergrey"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr> 
                      <td class="tableheadergrey3">License Information</td>
                      <td><div align="right">
<%if(mmc_statuscode!=LicenseStatus.NOTACTIVE){%>
<a href="<%=mmcpr.GetDetailInfoUrl()%>" target="_blank">View detailed license online</a>
<%}%>
&nbsp;</div></td>
                    </tr>
                  </table></td>
              </tr>
              <tr> 
                <td width="143" height="22" class="data1">Product:</td>
                <td width="395" height="22" class="data1">InterScan Web Security<%=appliance_name%> - Malicious Mobile Code</td>
              </tr>
              <tr> 
                <td height="22" class="data1">Version:</td>
                <td width="395" height="22" class="data1"><%=mmcpr.GetVersion()%></td>
              </tr>
              <tr> 
                <td height="22" class="data1"> Activation code: </td>
                <td width="395" height="22"> <table width="100%" border="0" cellspacing="0">
                    <tr> 
                      <td class="data1"><%=mmcpr.GetActivationCode()%></td>
                      <td align="right" class="data1"><font class="prmodule"><a href="license_activate.jsp?mmc">Enter 
                          a new code </a></font></td>
                    </tr>
                  </table></td>
              </tr>
              <tr> 
                <td height="22" class="data1"> Seats:</td>
                <td height="22" class="data1"><%=mmcpr.GetSeats()%></td>
              </tr>
              <tr> 
                <td height="22" class="data1"><font class="prmodule">Status:&nbsp;</font></td>
                <td height="22" class="data1"><font class="prmodule"><%=mmcpr.GetStatus()%></font></td>
              </tr>
              <tr> 
                <td height="22" class="data1"> Maintenance expiration:</td>
                <td height="22" class="data1"><font class="prmodule"><%=mmcpr.GetExpirationDate()%></font></td>
              </tr>
<%if(mmc_statuscode==LicenseStatus.FULLNORMAL || mmc_statuscode==LicenseStatus.FULLEXPIRED || mmc_statuscode==LicenseStatus.FULLREMIND|| mmc_statuscode==LicenseStatus.FULLGRACE){%>
              <tr> 
                <td height="22" colspan="2" class="data1"> <div align="right"> 
<%=AccessLevel.BUTTON(request, response, "checkstatus_main", "Button", "check_status_online('mmc');", "Check Status Online", "")%> 
                    </div></td>
              </tr>
              <tr> 
                <td height="22" colspan="2" class="data1"> <div align="right">Last 
                    Status Check on <%=mmcpr.GetLastCheckTime()%></div></td>
              </tr>
<%}%>
            </table></td>
        </tr>
<%}%>
      </table>
    </td>
  </tr>
</table>
</form>
</body>
</html>
