﻿<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 08/18/2006                                         -->
<!--Description: update for admin,auditor,report only user  -->
<!--File:urlblocking.jsp                                    -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.IWSSInfo,
                 com.trend.iwss.gui.IWSSJNI,
                 com.trend.iwss.gui.IWSSMultiPartParser,
                 com.trend.iwss.gui.IWSSXML,
                 com.trend.iwss.gui.Validation" %>
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }

    Object oGroupId = request.getSession().getAttribute("GroupId");
    int login_gid = Integer.parseInt(oGroupId.toString());

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="javascript" src="html/func.js" type="text/javascript"></script>
<script language="javascript" src="html/commonurllist.js" type="text/javascript"></script>
<script language="javascript" src="html/i18n_warnmsg.js" type="text/javascript"></script>

<script language="JavaScript" type="text/javascript">

function InsertURL1(listobj,inputurl){
   var listlength = listobj.length;

       listobj.options[listlength]=new Option(inputurl);
}

function doSubmit()
{
    if (document.saveform.urlb_enable_view.checked) document.saveform.URL_blocking__enable.value="yes";
    else document.saveform.URL_blocking__enable.value="no";
    checkall(document.saveform.blocklist);
    checkall(document.saveform.allowlist);
    document.saveform.op.value = "urlblock";
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.urllistset";
    if(document.saveform.URL_blocking__enable.value != document.saveform.oldurlbscan.value) document.saveform.daemonaction.value = httpreloadplus;
    else document.saveform.daemonaction.value = httpreload;
    setTimeout( "document.saveform.submit()", 100 );
}

function EnableImport()
{
    document.saveform.importbutton.disabled=false;
}

function doImport()
{
    if(document.saveform.importedfile.value=="") {
        document.saveform.importbutton.disabled=true;
        alert(i18n_import_msg);
        return;
    }
    document.saveform.op.value = "import";
    document.saveform.action="urlblocking.jsp"
    document.saveform.encoding="multipart/form-data";
    setTimeout( "document.saveform.submit()", 100 );
}

function addblockurl()
{
    document.saveform.url_input.value=Trim(document.saveform.url_input.value);
    document.saveform.url_input.value = document.saveform.url_input.value.toLowerCase();
    if(document.saveform.url_input.value=="") return;
    var exceptioncharlist = "\"{}|^[]<>";
    if(ISSpecialChar(document.saveform.url_input.value,exceptioncharlist))
    {
        alert(i18n_specialcharlist + exceptioncharlist);
        document.saveform.url_input.focus();
        return;
    }    
    document.saveform.url_input.value=FormatURL(document.saveform.url_input.value);
    var newurl;
    if(document.saveform.url_type[0].checked){
        newurl = TransformURL(document.saveform.url_input.value);
    }else if(document.saveform.url_type[1].checked){
        newurl = CreateURL(document.saveform.url_input.value);
    }else{
        newurl = document.saveform.url_input.value;
    }
    //check block list duplication
    if(Check_Duplication(document.saveform.blocklist,newurl)){
       alert(i18n_urlblocking_msg1);
       document.saveform.url_input.focus();
       return;
    }
    //check allow list conflict
    if(Check_Duplication(document.saveform.allowlist,newurl)){
       alert(i18n_urlblocking_msg4);
       document.saveform.url_input.focus();
       return;
    }
    InsertURL(document.saveform.blocklist,newurl);
    document.saveform.url_input.value="";
    EnableSaveButton();
}

function addallowurl()
{
    document.saveform.url_input.value=Trim(document.saveform.url_input.value);
    document.saveform.url_input.value = document.saveform.url_input.value.toLowerCase();
    if(document.saveform.url_input.value=="") return;
    var exceptioncharlist = "\"{}|^[]<>";
    if(ISSpecialChar(document.saveform.url_input.value,exceptioncharlist))
    {
        alert(i18n_specialcharlist + exceptioncharlist);
        document.saveform.url_input.focus();
        return;
    }   
    document.saveform.url_input.value=FormatURL(document.saveform.url_input.value);
    var newurl;
    if(document.saveform.url_type[0].checked){
        newurl = TransformURL(document.saveform.url_input.value);
    }else if(document.saveform.url_type[1].checked){
        newurl = CreateURL(document.saveform.url_input.value);
    }else{
        newurl = document.saveform.url_input.value;
    }
    //check allow list duplication
    if(Check_Duplication(document.saveform.allowlist,newurl)){
       alert(i18n_urlblocking_msg3);
       document.saveform.url_input.focus();
       return;
    }
    //check block list conflict
    if(Check_Duplication(document.saveform.blocklist,newurl)){
       alert(i18n_urlblocking_msg2);
       document.saveform.url_input.focus();
       return;
    }

    InsertURL(document.saveform.allowlist,newurl);
    document.saveform.url_input.value="";
    EnableSaveButton();
}

//type: 1-block 2-allow
function removeurl(type)
{
    if(type==1) removeselected(document.saveform.blocklist);
    else if(type==2) removeselected(document.saveform.allowlist);
    EnableSaveButton();
}

function removeallurl(type)
{
    if(type==1) removeall(document.saveform.blocklist);
    else if(type==2) removeall(document.saveform.allowlist);
    EnableSaveButton();
}

function
saveListItem(listobj, inputurl) {
    var newurl;

    newurl = inputurl.toLowerCase();

    //check block list duplication
    if (Check_Duplication(document.saveform.blocklist, newurl)) { return };

    //check allow list conflict
    if (Check_Duplication(document.saveform.allowlist, newurl)) { return };

    InsertURL(listobj, newurl);
    EnableSaveButton();
}

function
saveListItems(len, list, importList) {
    if (len > 1) {
        for (var i = 0; i < len; i++) {
            saveListItem(list, importList[i].value);
        }
    } else {
        saveListItem(list, importList.value);
    }
}

function
initimportlist(is_bimport, is_aimport) {

    if (is_bimport) {
        if (typeof(document.saveform.importblockurl) != 'object') { return; }

        saveListItems(parseInt(document.saveform.importblockurl_length.value),
                      document.saveform.blocklist,
                      document.saveform.importblockurl);
    }

    if (is_aimport) {
        if (typeof(document.saveform.importallowurl) != 'object') { return; }

        saveListItems(parseInt(document.saveform.importallowurl_length.value),
                      document.saveform.allowlist,
                      document.saveform.importallowurl);
    }
}

</script>

</head>

<%
    String urlf_configfile = IWSSInfo.GetKeyValue("URL-blocking", "normalLists");

    String blockstr = IWSSJNI.GetURLBlockList(urlf_configfile, "block");
    if (blockstr.length() < 3) {
        blockstr = "";
    }
    blockstr = "<URLList>" + blockstr + "</URLList>";
    IWSSXML blist = new IWSSXML(blockstr);

    String allowstr = IWSSJNI.GetURLBlockList(urlf_configfile, "allow");
    if (allowstr.length() < 3) {
        allowstr = "";
    }
    allowstr = "<URLList>" + allowstr + "</URLList>";
    IWSSXML alist = new IWSSXML(allowstr);

    boolean IsBImport = false;
    boolean IsAImport = false;
    IWSSXML import_bxml = null;
    IWSSXML import_axml = null;

    String contenttype = request.getContentType();
    if (contenttype != null && contenttype.contains("multipart/form-data")) {
        IWSSMultiPartParser multip = new IWSSMultiPartParser(request);

        String filename = multip.GetFileName("importedfile");
        String importstr = IWSSJNI.ImportURLList(filename, "block");
        importstr = "<URLList>" + importstr + "</URLList>";
        import_bxml = new IWSSXML(importstr);
        if (import_bxml.GetKeyValue("import", "error_no") == null) {
            IsBImport = true;
        }

        importstr = IWSSJNI.ImportURLList(filename, "allow");
        importstr = "<URLList>" + importstr + "</URLList>";
        import_axml = new IWSSXML(importstr);
        if (import_axml.GetKeyValue("import", "error_no") == null) {
            IsAImport = true;
        }

        multip.CleanallTempFiles();
    }
%>

<body  onunload="cleanup_progress();" onLoad="initimportlist(<%=IsBImport%>,<%=IsAImport%>);" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">


<form method="post" name="saveform" action="servlet/com.trend.iwss.gui.servlet.urllistset">
<input type="hidden" name="op" value="urlblock">
<input type="hidden" name="fromurl" value="/urlblocking.jsp">
<input type="hidden" name="daemonaction" value="0">

<%
    if (IsBImport) {
%>
<input type="hidden" name="importblockurl_length" value="<%=import_bxml.GetLength("URLList")%>">
<%
        for (int i = 0; i < import_bxml.GetLength("URLList"); i++) {
%>
<input type="hidden" name="importblockurl" value="<%=import_bxml.GetValueByIndex("URLList",i)%>">
<%
        }
    }
%>
<%
    if (IsAImport) {
%>
<input type="hidden" name="importallowurl_length" value="<%=import_axml.GetLength("URLList")%>">
<%
        for (int i = 0; i < import_axml.GetLength("URLList"); i++) {
%>
<input type="hidden" name="importallowurl" value="<%=import_axml.GetValueByIndex("URLList",i)%>">
<%
        }
    }
%>

<%
    String enabled_value = IWSSInfo.GetKeyValue("URL-blocking", "enable");
    String checked_sign = "yes".equalsIgnoreCase(enabled_value)
            ? " checked"
            : "";
%>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="507">
      <table width="507" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="182" class="content-title">URL Blocking</td>
          <td width="305" valign="bottom" class="text">
            <input name="urlb_enable_view" type="checkbox" <%=checked_sign%>
<%if (login_gid == 100) { %>
			        onClick="EnableSaveButton();"
<%}%>
            >
            <input name="URL_blocking__enable" type="hidden" value="">
            <input name="oldurlbscan" type="hidden" value="<%=enabled_value%>">
            Enable URL blocking
          </td>
        </tr>
      </table>
    </td>
    <td width="33" valign="bottom"> 
      <div align="right">
        <a href="javascript:openhelpwin('urlblocking.htm');">
          <img src="images/question.gif" width="18" height="18" border="0">
        </a>
      </div>
    </td>
  </tr>
</table>

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="10" valign="middle" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="10"></td>
  </tr>
  <tr> 
    <td height="10"><img src="images/1space.gif" width="1" height="10"></td>
  </tr>
</table>

<table cellSpacing=0 cellPadding=0 width="540" border=0>
  <tbody>
    <tr>
      <td id="main-content" vAlign="top" width="100%">
          <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr> 
              <!-- TABS -->
              <td width="534" background="images/tab_background_cui.gif">
                <table cellpadding="0" cellspacing="0" border="0">
                  <tr> 
                    <td><img src="images/tab_right-corner_cui.gif" width="11" height="23" alt="" border="0"></td>
                    <td background="images/tab_active_background_cui.gif" class="tabactive" valign="top" nowrap>Via 
                      Local List</td>
                    <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                    <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                    <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                      <a onMouseOver="this.style.color='#FF0000';"
                         style="COLOR: #000000; TEXT-DECORATION: none"
                         onmouseout="this.style.color='#000000';"
                         href="urlblocking_phish.jsp" >
                        Via Pattern File (Phish)
                      </a>
                    </td>
                    <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                    <td>&nbsp;</td>
                    <td valign="top" background="images/tab_background_cui.gif" class="tabinactive" nowrap>&nbsp;</td>
                    <td>&nbsp;</td>                  
                  </tr>
                </table>
              </td>
              <td background="images/tab_background_cui.gif" align="right"><img src="images/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
              <!-- /TABS -->
            </tr>
            <tr> 
              <td class="border" colspan="2">

                <table width="538" border="0" cellspacing="0" cellpadding="0">
                  <tr> 
                    <td>

<%if (login_gid == 100) { %>
                      <table width="538" cellpadding="0" cellspacing="0">
                        <tr> 
                          <td height="22" class="data1" colspan="3">Match: 
                            <input name="url_input" type="text" class="button" size="80" maxlength="1024" onKeyPress="return handleEnter(this, event)">
                          </td>
                        </tr>
                        <tr> 
                          <td width="21" height="22">&nbsp;&nbsp;</td>
                          <td height="22" class="data1" colspan="2">
                            <input type="radio" name="url_type" value="website" checked>
                            Web site (example: 'xxx.com' matches 'xxx.com' and 
                            all of its sub-sites)
                          </td>
                        </tr>
                        <tr> 
                          <td height="22">&nbsp;&nbsp;</td>
                          <td height="22" class="data1" colspan="2">
                            <input type="radio" name="url_type" value="urlstring">
                            URL keyword (example: 'yyy' string matches all URLs 
                            containing 'yyy')
                          </td>
                        </tr>
                        <tr> 
                          <td height="22">&nbsp;&nbsp;</td>
                          <td height="22" class="data1" colspan="2">
                            <input type="radio" name="url_type" value="exactstring">
                            String (exact-match, example: 'zzz.com/file matches 
                            only 'zzz.com/file')
                          </td>
                        </tr>
                        <tr>
                          <td height="22">&nbsp;</td>
                          <td height="22" colspan="2" style="padding-left:7px">
                            <input name="addblock" type="button"  class="button" onClick="addblockurl();" value="Block">
                            <input name="addallow" type="button"  class="button" onClick="addallowurl();" value="Do Not Block">
                          </td>
                        </tr>
                        <tr>
                          <td height="10" valign="middle" colspan="3" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="10"></td>
                        </tr>
                        <tr>
                          <td height="22" class="data1" colspan="3">
                            Import Block List and Exceptions:
                            <input type="file" name="importedfile" class="button" size="40" onClick="EnableImport();">
                          </td>
                        </tr>
                        <tr>
                          <td height="23" >&nbsp;</td>
                          <td width="172" height="23" >&nbsp;</td>
                          <td width="347" height="23"> 
                            <input name="importbutton" type="button"  class="button" onClick="doImport();" value="Import" disabled>
                          </td>
                        </tr>
                        <tr>
                          <td height="10" colspan="3" ><img src="images/1space.gif" width="1" height="10"></td>
                        </tr>
                      </table>
<%}%>

                    </td>
                  </tr>
                  <tr>
                    <td height="22" colspan="3">
                      <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                        <tr> 
                          <td height="22" class="tableheadergrey">Block List</td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr> 
                    <td colspan="3" style="padding:5px"> 
                      <select style="Width:530px" size="12" id="blocklist" name="blocklist" class="button" multiple>
<%for(int i=0;i<blist.GetLength("URLList");i++){%>
                        <option value="<%=blist.GetValueByIndex("URLList",i)%>"><%=blist.GetValueByIndex("URLList",i)%></option>
<%}%>
                      </select>
                    </td>
                  </tr>
<%if (login_gid == 100) { %>
                  <tr> 
                    <td height="22" colspan="3" style="padding-left:5px"> 
                      <input name="removeblock" type="button"  class="button" onClick="removeurl(1);" value="Remove">
                      <input name="removeallblock" type="button"  class="button" onClick="removeallurl(1);" value="Remove All">
                    </td>
                  </tr>
<%}%>
                  <tr> 
                    <td height="10" colspan="3"><img src="images/1space.gif" width="1" height="10"></td>
                  </tr>
                  <tr>
                    <td height="22" colspan="3" >
                      <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                        <tr>
                          <td height="22" class="tableheadergrey">Exceptions to
                            the Block List</td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr> 
                    <td colspan="3" style="padding:5px"> 
                      <select style="Width:530px" id="allowlist" size="12" name="allowlist" class="button" multiple>
<%for(int i=0;i<alist.GetLength("URLList");i++){%>
                        <option value="<%=alist.GetValueByIndex("URLList",i)%>"><%=alist.GetValueByIndex("URLList",i)%></option>
<%}%>
                      </select>
                    </td>
                  </tr>
<%if (login_gid == 100) { %>
                  <tr> 
                    <td height="22" colspan="2" style="padding-left:5px; padding-bottom:5px;"> 
                      <input name="removeallow" type="button"  class="button" onClick="removeurl(2);" value="Remove">
                      <input name="removeallallow" type="button"  class="button" onClick="removeallurl(2);" value="Remove All">
                    </td>
                  </tr>
<%}%>
                </table>
              </td>
            </tr>
          </table>
      </td>
    </tr>
  </tbody>
</table>

<%if (login_gid == 100) { %>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
	  <input name="save" type="button"  class="button" onClick="doSubmit();" value="Save" style="width:55px" disabled>
      <input name="cancel"  type="button"  onclick="self.location.replace('urlblocking.jsp')"    class="button" value="Cancel" style="width:55px">
    </td>
  </tr>
</table>
<%}%>

</form>
</body>
</html>
