<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 08/14/2006                                        -->
<!--Description: update for admin,auditor,report only user  -->
<!--File:url_approved_url.jsp                              -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%
Object oGroupId = null;
int login_gid = 100;

    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
oGroupId = request.getSession().getAttribute("GroupId");
login_gid = Integer.parseInt(oGroupId.toString());
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Suite</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
function InsertURL1(listobj,inputurl){

   var listlength = listobj.length;
   var i,j;
 
       listobj.options[listlength]=new Option(inputurl);
	  
   return;
}
function doSubmit()
{
    checkall(document.saveform.approvedlist);
    document.saveform.op.value = "urlfapproved";
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.urllistset"
    document.saveform.daemonaction.value = httpreload;
    setTimeout( "document.saveform.submit()", 100 );
}

function EnableImport()
{
    if(document.saveform.importbutton != null)
	{
      document.saveform.importbutton.disabled=false;
	}
}

function doImport()
{
    if(document.saveform.importedfile.value=="") {
        document.saveform.importbutton.disabled=true;
        return;
    }

    document.saveform.op.value = "import";
    document.saveform.action="urlf_approved_url.jsp"
    document.saveform.encoding="multipart/form-data";
    setTimeout( "document.saveform.submit()", 100 );
}
function addapprovedurl()
{
    document.saveform.url_input.value=Trim(document.saveform.url_input.value);
    document.saveform.url_input.value = document.saveform.url_input.value.toLowerCase();

    if(document.saveform.url_input.value=="") return;

    var exceptioncharlist = "\"{}|^[]<>";
    if(ISSpecialChar(document.saveform.url_input.value,exceptioncharlist))
    {
        alert(i18n_specialcharlist + exceptioncharlist);
        document.saveform.url_input.focus();
        return;
    }

    document.saveform.url_input.value=FormatURL(document.saveform.url_input.value); 
    if(document.saveform.url_type[0].checked){
        newurl = TransformURL(document.saveform.url_input.value);
    }else if(document.saveform.url_type[1].checked){
        newurl = CreateURL(document.saveform.url_input.value);
    }else{
        newurl = document.saveform.url_input.value;
    }
    if(!addurl(document.saveform.approvedlist,newurl)){
       alert(i18n_urlf_dup_entry);
       document.saveform.url_input.focus();
       return;
    }
    document.saveform.url_input.value="";
    EnableSaveButton();
}

function addurl(listobj, newurl)
{
    if(Check_Duplication(listobj,newurl)) return false;
    InsertURL(listobj,newurl);
    return true;
}

function removeurl()
{
    removeselected(document.saveform.approvedlist);
    EnableSaveButton();
}

function removeallurl()
{
    removeall(document.saveform.approvedlist);
    EnableSaveButton();
}

function initimportlist(isimport)
{
    if(!isimport) return;
    var i;
    if(typeof(document.saveform.importapproveurl)=='object')
    {
        var len = parseInt(document.saveform.importapproveurl_length.value);
        if(len>1){
          for(i=0; i<len; i++)
          {
            newurl = document.saveform.importapproveurl[i].value.toLowerCase();
            addurl(document.saveform.approvedlist,newurl);
          }
        }else{
            newurl = document.saveform.importapproveurl.value.toLowerCase();
            addurl(document.saveform.approvedlist,newurl);
        }
    }
    EnableSaveButton();
}
</SCRIPT>


</head>

<%
    String urlf_configfile=null,dscfile=null;        
    IWSSINI urlf_ini = null;       
    dscfile=IWSSInfo.GetURL_Dsc();
    urlf_ini = new IWSSINI(dscfile);
    urlf_configfile = urlf_ini.GetKeyValue("url-filtering","filtering_exception_list");

    String inputstr = IWSSJNI.GetURLBlockList(urlf_configfile,"allow");
    if(inputstr.length()<3) inputstr="";
    inputstr = "<URLList>"+inputstr+"</URLList>";
    IWSSXML alist = new IWSSXML(inputstr);
    
    boolean IsImport=false;
    String importstr;
    IWSSXML importxml = null;
    String contenttype = request.getContentType();
    if(contenttype!=null && contenttype.indexOf("multipart/form-data")>=0){ 
        IWSSMultiPartParser multip = new IWSSMultiPartParser(request);

        String filename = multip.GetFileName("importedfile");
        importstr = IWSSJNI.ImportURLList(filename,"approved");
        importstr = "<URLList>"+importstr+"</URLList>";
        IWSSUtil.UI_out_println("block: " +importstr);
        importxml = new IWSSXML(importstr);
        if(importxml.GetKeyValue("import","error_no")==null) IsImport=true;
        //System.out.println("filename: "+filename);
        multip.CleanallTempFiles();
    }
%>

<body  onunload="javascript:cleanup_progress();" onLoad="javascript:initimportlist(<%=IsImport%>);" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form method="post" name="saveform" action="servlet/com.trend.iwss.gui.servlet.urllistset">
<input type=hidden name="op" value="urlfapproved">
<input type=hidden name="fromurl" value="/urlf_approved_url.jsp">
<input type=hidden name="daemonaction" value="0">

<%if(IsImport){%>
<input type=hidden name=importapproveurl_length value="<%=importxml.GetLength("URLList")%>">
<%    for(int i=0;i<importxml.GetLength("URLList");i++){%>
<input type=hidden name=importapproveurl value="<%=importxml.GetValueByIndex("URLList",i)%>">
<%}}%>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="507">
<table width="507" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td class="content-title">URL Filtering Settings</td>
        </tr>
      </table></td>
    <td width="33" valign="bottom"> 
      <div align="right"><A href="javascript:openhelpwin('urlf_approved_url.htm');"> <img src="images/question.gif" width="18" height="18" border="0"></a></div></td>
  </tr>
</table>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="10" valign="middle" class="hor-dotted-line" colspan=2><img src="images/1space.gif" width="1" height="10"></td>
  </tr>
  <tr> 
    <td height="10" colspan=2><img src="images/1space.gif" width="1" height="10"></td>
  </tr>
            <tr> 
              <!-- TABS -->
              <td background="images/tab_background_cui.gif"> <table cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <!--<td><img src="images/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="urlf_category_set.jsp" > URL Categories</a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>-->
                  <td><img src="images/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td background="images/tab_active_background_cui.gif" class="tabactive" valign="top" nowrap>Approved URL List</td>
                  <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap>
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="urlf_time_set.jsp" > Schedule</a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="urlf_reclassifyurl.jsp" >URL Re-classification &amp; Lookup</a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                </tr>
              </table></td>
              <td background="images/tab_background_cui.gif" align="right"><img src="images/tab_right_corner_cui.gif" width="8" height="23" alt="" border="0"></td>
              <!-- /TABS -->
            </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="540" border=0>
  <TBODY>
    <TR> 
      <td colspan="2" class="border"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td> <table width="100%" cellpadding="0" cellspacing="0">
                <tr>
                  <td class="tableheadergrey" colspan="3">Exceptions
                    to URL Filtering</td>
                </tr>
                <tr> 
                  <td height="22" class="data1" colspan="3">Match: 
                    <input name="url_input" type="text" class="button" size="80" maxlength="1024" onKeyPress="return handleEnter(this, event)">
                  </td>
                </tr>
                <tr> 
                  <td width="38" height="22">&nbsp;&nbsp;</td>
                  <td height="22" class="data1" colspan="2"> 
                    <input type="radio" name="url_type" value="website" checked>
                    Web site (example: 'xxx.com' matches 'xxx.com' and all of 
                    its sub-sites)</td>
                </tr>
                <tr> 
                  <td height="22">&nbsp;&nbsp;</td>
                  <td height="22" class="data1" colspan="2"> 
                    <input type="radio" name="url_type" value="urlstring">
                    URL keyword (example: 'yyy' string matches all URLs containing 
                    'yyy')</td>
                </tr>
                <tr> 
                  <td height="22">&nbsp;&nbsp;</td>
                  <td height="22" class="data1" colspan="2"> 
                    <input type="radio" name="url_type" value="exactstring">
                    String (exact-match, example: 'zzz.com/file matches only 'zzz.com/file')</td>
                </tr>
				   <%if (login_gid == 100) { %>
                <tr> 
                  <td height="22">&nbsp;</td>
                  <td height="22" colspan="2" style="padding-left:7px">
                    <input name="addurl" type="button"  class="button" onClick="javascript:addapprovedurl();" value="Add"> 
                  </td>
                </tr>
				   <%}%>
                <tr> 
                  <td height="10" colspan="3" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="10"></td>
                </tr>
                <tr> 
                  <td height="22" class="data1" colspan="3">Import approved list: 
                    <INPUT type=file name=importedfile class="button" size=40 onClick="javascript:EnableImport();">
                  </td>
                </tr>
				   <%if (login_gid == 100) { %>
                <tr> 
                  <td height="23" >&nbsp;</td>
                  <td width="87" height="23" >&nbsp;</td>
                  <td width="411" height="23"> 
				  <input name="importbutton" type="button"  class="button" onClick="javascript:doImport();" value="Import" disabled>
                  </td>
                </tr>
                   <%}%>
                <tr> 
                  <td height="10" colspan="3" ><img src="images/1space.gif" width="1" height="10"></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td height="21"  colspan="2" > <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
                <tr> 
                  <td height="22" class="tableheadergrey">Approved URL List (do not filter following sites)</td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td colspan="2" style="padding:5px"> 
            <SELECT style="Width:525px" id=approvedlist size=15 name=approvedlist class="button" multiple>
<%for(int i=0;i<alist.GetLength("URLList");i++){%>
                    <option value="<%=alist.GetValueByIndex("URLList",i)%>"><%=alist.GetValueByIndex("URLList",i)%></option>
<%}%>
		    </SELECT>
            </td>
          </tr>
		  <%if (login_gid == 100) { %>
          <tr> 
            <td height="22" colspan="2" style="padding-left:5px;padding-bottom:5px"> 
        <input name="remove" type="button"  class="button" onClick="javascript:removeurl();" value="Remove"> 
                      <input name="removeall" type="button"  class="button" onClick="javascript:removeallurl();" value="Remove All"> 
            </td>
          </tr>
		  <%}%> 
        </table></td>
    </TR>
  </TBODY>
</TABLE>
 <%if (login_gid == 100) { %>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom"> 
	<input name="save" type="button"  class="button" onClick="javascript:doSubmit();" value="Save" style="width:55px" disabled> 
      <input name="cancel" type="button"  onclick="javascript:self.location.replace('urlf_approved_url.jsp')"  class="button" value="Cancel" style="width:55px"> 
    </td>
  </tr>
</table>
 <%}%> 
</form>
</body>
</html>
